<?php

/*********************************************************************************
 * TEMS is a Time and Expense Management program developed by
 * Initechs, LLC. Copyright (C) 2009 - 2013 Initechs LLC.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY INITECHS, INITECHS DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 *
 * You can contact Initechs headquarters at 1841 Piedmont Road, Suite 301,
 * Marietta, GA, USA. or at email address contact@initechs.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display od the "Initechs" logo.
 * If the display of the logo is not reasonably feasible for technical reasons,
 * the Appropriate Legal Notices must display the words "Powered by Initechs".

 ********************************************************************************/

$table = array(
		
// Start of system related tables.		
		
"messages" => "create  table if not exists  `messages` (
  `uid` int not NULL auto_increment comment '	' ,
  `language` char(3) not NULL ,
  `messages_id` varchar(10) not NULL ,
  `msgdesc` varchar(255) not NULL ,
  unique index `uid_unique` (`uid` asc) ,
  primary key (`language`, `messages_id`) )
engine = innodb default charset=utf8",
		
"literals" => "create table if not exists `literals` (
  `uid` int not NULL auto_increment comment '	' ,
  `language` char(3) not NULL ,
  `literals_id` varchar(255) not NULL ,
  `label` varchar(255) not NULL ,
  primary key (`language`, `literals_id`) ,
  unique index `uid_unique` (`uid` asc) )
engine = innodb default charset=utf8",
		
"human_readable_codes" => "create table if not exists  `human_readable_codes` (
  `uid` int(11) NOT NULL AUTO_INCREMENT,
  `level` int(11) NOT NULL,
  `system` varchar(100) NOT NULL,
  `code` varchar(100) NOT NULL,
  `code_value` varchar(100) NOT NULL,
  `code_hr` varchar(100) DEFAULT NULL,
  `appearance_order` int(11) DEFAULT NULL,
  PRIMARY KEY (`level`,`system`,`code`,`code_value`),
  UNIQUE KEY `uid_UNIQUE` (`uid`))
ENGINE=InnoDB DEFAULT CHARSET=utf8",

"programtransactions" => "create table if not exists `programtransactions` (
  `uid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `programtransactions_id` int(11) unsigned NOT NULL,
  `label` varchar(100) NOT NULL,
  `url` varchar(255) DEFAULT NULL,
  `control` varchar(100) DEFAULT NULL,
  `parm` varchar(255) DEFAULT NULL,
  `cust_parm` varchar(255) DEFAULT NULL,
  `createat` datetime NOT NULL,
  `createby` varchar(100) NOT NULL,
  `changeat` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `changeby` varchar(100) NOT NULL,
  PRIMARY KEY (`programtransactions_id`),
  UNIQUE KEY `uid_UNIQUE` (`uid`))
ENGINE=InnoDB DEFAULT CHARSET=utf8",
		
"menu" => "create table if not exists `menu` (
  `uid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `u_menu_id` int(10) unsigned NOT NULL,
  `parent_menu_id` int(10) unsigned DEFAULT NULL,
  `menu_id` int(10) unsigned NOT NULL,
  `programtransactions_id` int(10) unsigned NOT NULL,
  `order` int(10) unsigned NOT NULL,
  `createat` datetime NOT NULL,
  `createby` varchar(100) NOT NULL,
  `changeat` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `changeby` varchar(100) NOT NULL,
  PRIMARY KEY (`u_menu_id`),
  UNIQUE KEY `uid_UNIQUE` (`uid`),
  UNIQUE KEY `uid_order` (`parent_menu_id`,`order`),
  KEY `fk_menu_programtransactions` (`programtransactions_id`),
  CONSTRAINT `fk_menu_programtransactions`
	FOREIGN KEY (`programtransactions_id`)
	REFERENCES `programtransactions` (`programtransactions_id`)
	ON DELETE NO ACTION
	ON UPDATE NO ACTION)
ENGINE=InnoDB default CHARSET=utf8",
		
"actionregistry" => "create table if not exists `actionregistry` (
  `uid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `action` varchar(100) NOT NULL DEFAULT '',
  `businessobject` varchar(100) NOT NULL,
  `actionauthority` varchar(100) NOT NULL,
  `viewfile` varchar(100) DEFAULT NULL,
  `modelfile` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`action`),
  UNIQUE KEY `uid_UNIQUE` (`uid`),
  KEY `ActionAuthority_Index` (`businessobject`,`actionauthority`))
ENGINE=InnoDB default CHARSET=utf8",

"authorizationlists" => "create  table if not exists  `authorizationlists` (
  `uid` int unsigned not NULL auto_increment ,
  `authorizations_id` varchar(100) NULL ,
  `description` varchar(100) NULL ,
  `createat` datetime not NULL ,
  `createby` varchar(100) not NULL ,
  `changeat` timestamp not NULL ,
  `changeby` varchar(100) not NULL ,
  unique index `uid_unique` (`uid` asc) ,
  primary key (`authorizations_id`) )
engine = innodb default charset=utf8",
		
"authorizations" => "create  table if not exists `authorizations` (
  `uid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `authorizations_id` varchar(100) NOT NULL DEFAULT '',
  `businessobject` varchar(100) NOT NULL DEFAULT '',
  `actionauthority` varchar(100) NOT NULL DEFAULT '',
  `authlevel` smallint(6) NOT NULL,
  `createat` datetime NOT NULL,
  `createby` varchar(100) NOT NULL,
  `changeat` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `changeby` varchar(100) NOT NULL,
  PRIMARY KEY (`authorizations_id`,`actionauthority`,`businessobject`),
  UNIQUE KEY `uid_UNIQUE` (`uid`),
  KEY `fk_Authorizations_AuthorizationLists21` (`authorizations_id`),
  KEY `fk_authorizations_actionregistry31` (`businessobject`,`actionauthority`),
  CONSTRAINT `fk_AA1` 
	FOREIGN KEY (`authorizations_id`) 
	REFERENCES `authorizationlists` (`authorizations_id`) 
	ON DELETE NO ACTION 
	ON UPDATE NO ACTION,
  CONSTRAINT `fk_authorizations_actionregistry1` 
	FOREIGN KEY (`businessobject`, `actionauthority`) 
	REFERENCES `actionregistry` (`businessobject`, `actionauthority`) 
	ON DELETE NO ACTION 
	ON UPDATE NO ACTION)
engine = innodb default charset=utf8",
		
// End of system related tables.		

// Start of Master tables.

"expensecategories" => "create  table if not exists  `expensecategories` (
  `uid` int unsigned not NULL auto_increment ,
  `expensecategories_id` varchar(100) not NULL ,
  `description` varchar(255) not NULL ,
  `seq` smallint unsigned not NULL ,
  `ismileage` binary not NULL ,
  `mileagerate` decimal(7,4)  NULL ,
  `status` char(2) not NULL ,
  `createat` datetime not NULL ,
  `createby` varchar(100) not NULL ,
  `changeat` timestamp not NULL ,
  `changeby` varchar(100) not NULL ,
  unique index `seq_unique` (`seq` asc) ,
  unique index `uid_unique` (`uid` asc) ,
  primary key (`expensecategories_id`) )
engine = innodb default charset=utf8",

"tasks" => "create  table if not exists  `tasks` (
  `uid` int unsigned NULL auto_increment ,
  `tasks_id` varchar(100) not NULL ,
  `name` varchar(100) not NULL ,
  `description` varchar(255) not NULL ,
  `status` char(2) not NULL ,
  `createat` datetime not NULL ,
  `createby` varchar(100) not NULL ,
  `changeat` timestamp not NULL ,
  `changeby` varchar(100) not NULL ,
  primary key (`tasks_id`) ,
  unique index `uid_unique` (`uid` asc) )
engine = innodb default charset=utf8",		
		
"company" => "create  table if not exists  `company` (
  `uid` int unsigned NULL auto_increment ,
  `company_id` varchar(100) not NULL ,
  `name` varchar(255) not NULL ,
  `address1` varchar(255) NULL ,
  `address2` varchar(255) NULL ,
  `city` varchar(50) NULL ,
  `state` varchar(50) NULL ,
  `postalcode` varchar(20) NULL ,
  `country` varchar(20) NULL ,
  `logo` varchar(100) NULL,
  `weekendday` char(1) NULL default '6',
  `language` char(3) NULL default 'ENG',
  `email` VARCHAR(255) NULL,
  `createat` datetime not NULL ,
  `createby` varchar(100) not NULL ,
  `changeat` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `changeby` varchar(100) not NULL ,
  primary key (`company_id`) ,
  unique index `uid_unique` (`uid` asc) )
engine = innodb default charset=utf8",

"users" => "create  table if not exists  `users` (
  `uid` int unsigned NULL auto_increment ,
  `users_id` varchar(100) not NULL ,
  `fullname` varchar(255) not NULL ,
  `password` varchar(100) not NULL ,
  `email` varchar(255) not NULL ,
  `joindate` date not NULL ,
  `reportto` varchar(100) not NULL ,
  `title` char(100) NULL ,
  `status` char(2) not NULL ,
  `authorizations_id` varchar(100) NULL ,
  `usergroup` varchar(100) NULL ,
  `dateformat` CHAR(3) NULL default 'MDY' ,
  `language` CHAR(3) NULL default 'ENG' ,
  `u_menu_id` int(11) unsigned DEFAULT NULL,
  `lastloginat` datetime NULL ,
  `access_count` INT UNSIGNED NULL ,
  `debuglevel` TINYINT UNSIGNED NULL DEFAULT NULL,
  `dbtracelevel` TINYINT UNSIGNED NULL DEFAULT NULL,
  `preview_receipt` TINYINT UNSIGNED NULL DEFAULT NULL,
  `createat` datetime not NULL ,
  `createby` varchar(100) not NULL ,
  `changeat` timestamp not NULL ,
  `changeby` varchar(100) not NULL ,
  primary key (`users_id`) ,
  unique index `uid_unique` (`uid` asc) ,
  index `fk_users_users1` (`reportto` asc) ,
  constraint `fk_users_users1`
    foreign key (`reportto` )
    references  `users` (`users_id` )
    on delete no action
    on update no action)
engine = innodb default charset=utf8", 

"accounts" => "create  table if not exists  `accounts` (
  `uid` int unsigned NULL auto_increment ,
  `accounts_id` varchar(100) not NULL ,
  `name` varchar(255) not NULL ,
  `address1` varchar(255) NULL ,
  `address2` varchar(255) NULL ,
  `city` varchar(50) NULL ,
  `state` varchar(50) NULL ,
  `postalcode` varchar(20) NULL ,
  `country` varchar(20) NULL ,
  `contact` varchar(100) NULL ,
  `email` varchar(255) NULL ,
  `lastbilldate` date NULL ,
  `status` char(2) not NULL ,
  `createat` datetime not NULL ,
  `createby` varchar(100) not NULL ,
  `changeat` timestamp not NULL ,
  `changeby` varchar(100) not NULL ,
  primary key (`accounts_id`) ,
  unique index `uid_unique` (`uid` asc) )
engine = innodb default charset=utf8", 

"projects" => "create  table if not exists  `projects` (
  `uid` int unsigned not NULL auto_increment ,
  `projects_id` varchar(100) not NULL ,
  `name` varchar(100) not NULL ,
  `description` varchar(255) not NULL ,
  `accounts_id` varchar(100) not NULL ,
  `billtoaccounts_id` varchar(100) not NULL ,
  `billtoaddress1` varchar(255) NULL ,
  `billtoaddress2` varchar(255) NULL ,
  `billtocity` varchar(50) NULL ,
  `billtostate` varchar(50) NULL ,
  `billtopostalcode` varchar(20) NULL ,
  `billtocountry` varchar(20) NULL ,
  `billtocontact` varchar(100) NULL ,
  `billtoemail` varchar(255) NULL ,
  `billcycle` varchar(20) NULL ,
  `lastbilldate` date NULL ,
  `status` char(2) not NULL ,
  `createat` datetime not NULL ,
  `createby` varchar(100) not NULL ,
  `changeat` timestamp not NULL ,
  `changeby` varchar(100) not NULL ,
  unique index `uid_unique` (`uid` asc) ,
  primary key (`projects_id`) ,
  index `fk_accounts` (`accounts_id` asc) ,
  index `fk_projects_accounts` (`billtoaccounts_id` asc) ,
  constraint `fk_accounts`
    foreign key (`accounts_id` )
    references  `accounts` (`accounts_id` )
    on delete no action
    on update no action,
  constraint `fk_projects_accounts`
    foreign key (`billtoaccounts_id` )
    REFERENCES `accounts` (`accounts_id` )
    on delete no action
    on update no action)
engine = innodb default charset=utf8", 

"projects_users" => "create  table if not exists  `projects_users` (
  `uid` int NULL auto_increment ,
  `users_id` varchar(100) not NULL ,
  `projects_id` varchar(100) not NULL ,
  `effective_date` date not NULL ,
  `rate` decimal(5,2) not NULL ,
  `role` varchar(100) NULL ,
  `status` char(2) not NULL ,
  `createat` datetime not NULL ,
  `createby` varchar(100) not NULL ,
  `changeat` timestamp not NULL ,
  `changeby` varchar(100) not NULL ,
  unique index `uid_unique` (`uid` asc) ,
  primary key (`users_id`, `projects_id`, `effective_date`) ,
  index `fk_projects_users_projects` (`projects_id` ASC) ,
  index `fk_index_users_projects_users` (`users_id` asc) ,
  constraint `fk_projects_users_projects`
    foreign key (`projects_id` )
    references `projects` (`projects_id` )
    on delete no action
    on update no action,
  constraint `index_Users_projects_users`
    foreign key (`users_id` )
    references `users` (`users_id` )
    on delete no action
    on update no action)
engine = innodb default charset=utf8", 

"projects_users_tasks" => "create  table if not exists  `projects_users_tasks` (
  `uid` int NULL auto_increment ,
  `projects_id` varchar(100) not NULL ,
  `users_id` VARCHAR(100) NOT NULL ,
  `tasks_id` varchar(100) not NULL ,
  `effective_date` DATE NOT NULL ,
  `rate` DECIMAL(5,2) NULL ,
  `status` char(2) not NULL ,
  `createat` datetime not NULL ,
  `createby` varchar(100) not NULL ,
  `changeat` timestamp not NULL ,
  `changeby` varchar(100) not NULL ,
  primary key (`projects_id`, `users_id`, `tasks_id`, `effective_date`) ,
  index `index_Projects_Projects_Tasks` (`projects_id` ASC) ,
  index `index_Tasks_Projects_Tasks` (`tasks_id` ASC) ,
  index `fk_users_projects_tasks_users1` (`users_id` ASC) ,
  unique index `uid_unique` (`uid` asc) ,
  constraint `index_projects_projects_tasks`
    foreign key (`projects_id` )
    references  `projects` (`projects_id` )
    on delete no action
    on update no action,
  constraint `index_tasks_projects_tasks`
    foreign key (`tasks_id` )
    references  `tasks` (`tasks_id` )
    on delete no action
    on update no action,
  constraint `fk_users_projects_tasks_users1`
    foreign key (`users_id` )
    references `users` (`users_id` )
    on delete no action
    on update no action)
engine = innodb default charset=utf8",

// End of Master tables.

// Start of Transaction tables.

"invoiceheaders" => "create  table if not exists  `invoiceheaders` (
  `uid` int not NULL auto_increment ,
  `invoices_id` varchar(100) NULL ,
  `projects_id` varchar(100) not NULL ,
  `begindate` date NULL ,
  `enddate` date NULL ,
  `invoicedate` date NULL ,
  `status` varchar(2) NULL ,
  `createby` varchar(100) NULL ,
  `createat` datetime not NULL ,
  `changeby` varchar(100) NULL ,
  `changeat` timestamp not NULL ,
  unique index `uid_unique` (`uid` asc) ,
  primary key (`invoices_id`) ,
  index `fk_invoiceheaders_projects` (`projects_id` asc) ,
  constraint `fk_invoiceheaders_projects`
    foreign key (`projects_id` )
    references  `projects` (`projects_id` )
    on delete no action
    on update no action)
engine = innodb default charset=utf8",
		
		
"times" => "create  table if not exists  `times` (
  `uid` int unsigned not NULL auto_increment ,
  `weekenddate` date NULL ,
  `workdate` date not NULL ,
  `description` varchar(255) not NULL ,
  `comments` varchar(255) NULL ,
  `location` varchar(20) NULL ,
  `nonbillablehours` decimal(4,2) not NULL ,
  `billablehours` decimal(4,2) not NULL ,
  `status` varchar(2) not NULL ,
  `submitdate` date NULL ,
  `approvedate` date NULL ,
  `rate` decimal(5,2) not NULL default 0 ,
  `createby` varchar(100) not NULL ,
  `createat` datetime not NULL ,
  `changeby` varchar(100) not NULL ,
  `changeat` timestamp not NULL ,
  `users_id` varchar(100) not NULL ,
  `projects_id` varchar(100) not NULL ,
  `tasks_id` varchar(100) not NULL ,
  `invoices_id` varchar(100) not NULL ,
  unique index `uid_unique` (`uid` asc) ,
  index `fk_times_tasks` (`tasks_id` asc) ,
  index `fk_times_projects_users1` (`users_id` asc, `projects_id` asc) ,
  index `fk_times_invoiceheaders_invoices_id` (`invoices_id` asc) ,
  constraint `fk_Times_Tasks`
    foreign key (`tasks_id`)
    references  `tasks` (`tasks_id`)
    on delete no action
    on update no action,
  constraint `fk_times_projects_users1`
    foreign key (`users_id` , `projects_id` )
    references  `projects_users` (`users_id` , `projects_id` )
    on delete no action
    on update no action,
  constraint `fk_times_invoiceheaders_invoices_id`
    foreign key (`invoices_id` )
    references  `invoiceheaders` (`invoices_id` )
    on delete no action
    on update no action)
engine = innodb default charset=utf8", 

"charges" => "create  table if not exists charges (
  `uid` INT UNSIGNED NOT NULL AUTO_INCREMENT ,
  `weekenddate` DATE NULL ,
  `chargedate` DATE NOT NULL ,
  `description` VARCHAR(255) NOT NULL ,
  `comments` VARCHAR(255) NULL ,
  `charges` DECIMAL(8,2) NOT NULL ,
  `status` VARCHAR(2) NOT NULL ,
  `submitdate` DATE NULL ,
  `approvedate` DATE NULL ,
  `invoicedate` DATE NULL ,
  `createby` VARCHAR(100) NOT NULL ,
  `createat` DATETIME NOT NULL ,
  `changeby` VARCHAR(100) NOT NULL ,
  `changeat` TIMESTAMP NOT NULL ,
  `invoices_id` VARCHAR(100) NOT NULL ,
  `projects_id` VARCHAR(100) NOT NULL ,
  `users_id` VARCHAR(100) NOT NULL ,
  UNIQUE INDEX `uid_UNIQUE` (`uid` ASC) ,
  INDEX `fk_charges_projects_users1` (`projects_id` ASC, `users_id` ASC) ,
  CONSTRAINT `fk_charges_invoiceheaders1`
    FOREIGN KEY (`invoices_id` )
    REFERENCES `invoiceheaders` (`Invoices_id` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_charges_projects_users1`
    FOREIGN KEY (`projects_id` , `users_id` )
    REFERENCES `projects_users` (`projects_id` , `users_id` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
engine = innodb default charset=utf8",

"expenseheaders" => "create  table if not exists  `expenseheaders` (
  `uid` int unsigned not NULL auto_increment ,
  `users_id` varchar(100) not NULL ,
  `projects_id` varchar(100) not NULL ,
  `weekenddate` date not NULL ,
  `invoices_id` varchar(100) NULL ,
  `description` varchar(255) not NULL ,
  `comment` varchar(255) NULL ,
  `location` varchar(20) NULL ,
  `status` varchar(2) not NULL ,
  `submitdate` date NULL ,
  `approvedate` date NULL ,
  `invoicedate` date NULL ,
  `receipt` varchar(100) NULL ,
  `createby` varchar(100) not NULL ,
  `createat` datetime not NULL ,
  `changeby` varchar(100) not NULL ,
  `changeat` timestamp not NULL ,
  unique index `uid_unique` (`uid` asc) ,
  primary key (`weekenddate`, `users_id`, `projects_id`) ,
  index `fk_expenseheaders_projects_users1` (`users_id` asc, `projects_id` asc) ,
  index `fk_expenseheaders_invoiceheaders` (`invoices_id` asc) ,
  constraint `fk_expenseheaders_projects_users1`
    foreign key (`users_id` , `projects_id` )
    references  `projects_users` (`users_id` , `projects_id` )
    on delete no action
    on update no action,
  constraint `fk_expenseheaders_invoiceheaders`
    foreign key (`invoices_id` )
    references  `invoiceheaders` (`invoices_id` )
    on delete no action
    on update no action)
engine = innodb default charset=utf8", 

"expensedetails" => "create  table if not exists  `expensedetails` (
  `uid` int unsigned not NULL auto_increment ,
  `users_id` varchar(100) not NULL ,
  `projects_id` varchar(100) not NULL ,
  `weekenddate` date not NULL ,
  `expensedate` date not NULL ,
  `expensecategories_id` varchar(100) not NULL ,
  `description` varchar(255) NULL ,
  `amount` decimal(8,2)  not NULL ,
  `invoices_id` varchar(100) NULL ,
  `mile` int(11)  NULL ,
  `comment` varchar(255) NULL ,
  `receipt` varchar(100) NULL ,
  `createby` varchar(100) not NULL ,
  `createat` datetime not NULL ,
  `changeby` varchar(100) not NULL ,
  `changeat` timestamp not NULL ,
  unique index `uid_unique` (`uid` asc) ,
  index `fk_ed_expensecategories_id` (`expensecategories_id` asc) ,
  index `fk_expensedetails_expenseheaders` (`users_id` asc, `projects_id` asc, `weekenddate` asc) ,
  constraint `fk_ed_expensecategories_id`
    foreign key (`expensecategories_id` )
    references  `expensecategories` (`expensecategories_id` )
    on delete no action
    on update no action,
  constraint `fk_expensedetails_expenseheaders`
    foreign key (`users_id` , `projects_id` , `weekenddate` )
    references  `expenseheaders` (`users_id` , `projects_id` , `weekenddate` )
    on delete no action
    on update no action)
engine = innodb default charset=utf8",


// End of Transaction tables.

);

$viewFile = array(
"invoicetimedetails" => "create  or replace algorithm = temptable view
invoicetimedetails 
    (uid,
    invoices_uid,
    invoices_id, 
    begindate, 
    enddate, 
    accounts_id,
    account_name,
    projects_id,
    project_name,
    users_id,
    user_name,
    workdate, 
    weekenddate,
    nonbillablehours, 
    billablehours, 
    actualhours,
    description,
    status, 
    rate, 
    billamount)
as

select 
    t.uid,
    i.uid,
    t.invoices_id,
    i.begindate,
    i.enddate,
    p.accounts_id,
    a.name,
    t.projects_id,
    p.name,
    t.users_id,
    u.fullname,
    t.workdate,
    t.weekenddate,
    t.nonbillablehours,
    t.billablehours, 
    t.nonbillablehours + t.billablehours,
    t.description,
    t.status, 
    t.rate, 
    t.billablehours*t.rate

from 
    times t, 
    projects p,
    users u,
    invoiceheaders i,
    accounts a

where t.users_id = u.users_id
  and p.accounts_id = a.accounts_id
  and t.projects_id = p.projects_id  
  and t.invoices_id = i.invoices_id",


"invoiceexpensedetails" => "create  or replace algorithm=temptable 
view `invoiceexpensedetails` as 

select 
    `t`.`uid` as `uid`,
    `h`.`uid` as `expense_uid`,
    `i`.`uid` as `invoices_uid`,
    `u`.`fullname` as `user_name`,
    `t`.`invoices_id` as `invoices_id`,
    `p`.`accounts_id` as `account_id`,
    `p`.`accounts_id` as `accounts_id`,
    `t`.`projects_id` as `projects_id`,
    `t`.`users_id` as `users_id`,
    `t`.`expensedate` as `expensedate`,
    `t`.`amount` as `amount`,
    `t`.`expensecategories_id` as `expensecategories_id`,
    `h`.`weekenddate` as `weekenddate`,
    `h`.`status` as `status` 
from ((((`expensedetails` `t` join `users` `u`) join `expenseheaders` `h`) join `projects` `p`) join `invoiceheaders` `i`) 
where ((`t`.`users_id` = `u`.`users_id`)
   and (`t`.`projects_id` = `p`.`projects_id`) 
   and (`t`.`projects_id` = `h`.`projects_id`) 
   and (`t`.`users_id` = `h`.`users_id`) 
   and (`t`.`weekenddate` = `h`.`weekenddate`) 
   and (`t`.`invoices_id` = `i`.`invoices_id`))",



"invoiceexpenseheaders" => "create  or replace algorithm=temptable 
view `invoiceexpenseheaders` as 

select 
    `e`.`uid` as `expense_uid`,
    `i`.`uid` as `invoices_uid`,
    `e`.`invoices_id` as `invoices_id`,
    `p`.`accounts_id` as `accounts_id`,
    `p`.`billtoaccounts_id` as `billtoaccounts_id`,
    `e`.`projects_id` as `projects_id`,
    `e`.`users_id` as `users_id`,
    `e`.`weekenddate` as `weekenddate`,
    `e`.`status` as `status` 
from ((`expenseheaders` `e` join `projects` `p`) join `invoiceheaders` `i`) 
where ((`e`.`projects_id` = `p`.`projects_id`)
  and (`p`.`projects_id` = `i`.`projects_id`))",



"timesbyweekend" => "create  or replace view  `timesbyweekend` as 
select 
    users_id as users_id,
    weekenddate as weekenddate,
    sum(nonbillablehours) as totalnonbillhrs,  
    sum(billablehours) as totalbillhrs,
    sum(billablehours + nonbillablehours) as totalhrs, 
    min(status)as loweststatus,
	users_id as createby
from 
    times  

group by 
    users_id, 
    weekenddate"
);


$tableData = array(


"messages" => array(
	"fields" => ("language, messages_id, msgdesc"),
	"values" => "
('ENG','er0001','No record found'),
('ENG','er0002','Specify an unique ID'),
('ENG','er0003','Specify description'),
('ENG','er0004','Already defined. Duplicate entry not allowed.'),
('ENG','er0005','Are you sure you want to delete this record?'),
('ENG','er0006','User is not logged in!'),
('ENG','er0007','Specify full name'),
('ENG','er0008','Provide an email address'),
('ENG','er0009','Date is not valid!'),
('ENG','er0010','The Passwords provide are either invalid or do not match'),
('ENG','er0011','This field cannot be blank'),
('ENG','er0012','Invalid user id and password!'),
('ENG','er0013','Invalid entry: It does not exist in the system.'),
('ENG','er0014','Cannot delete. Project exists for this account'),
('ENG','er0015','Record already exists'),
('ENG','er0016','Selected role may be assigned to this project'),
('ENG','er0017','This sequence is already in use'),
('ENG','er0018','Not a valid Task'),
('ENG','er0019','User is not assigned to Project'),
('ENG','er0020','Bill hours can not be greater than Actual'),
('ENG','er0021','It is not a company defined weekend day'),
('ENG','er0022','Cannot delete. Associated with Project.'),
('ENG','er0023','Cannot delete. Task, or User associated with this Project.'),
('ENG','er0024','Cannot delete. Time record exists for this record.'),
('ENG','er0025','Cannot delete. User exists for this project role.'),
('ENG','er0026','Cannot delete. Expense exists for this category.'),
('ENG','er0027','Cannot delete. Details exists.'),
('ENG','er0028','User is not assigned to this project.'),
('ENG','er0029','Invalid User id.'),
('ENG','er0030','Both Amount and Miles cannot be specified.'),
('ENG','er0031','You must specify the miles for mileage category expense.'),
('ENG','er0032','You must specify a valid amount here.'),
('ENG','er0033','Expense category is not available.'),
('ENG','er0034','User is not assigned to this project or not active.'),
('ENG','er0035','Expense alredy submitted'),
('ENG','er0036','Expense already approved, cannot be added, modified, or deleted.'),
('ENG','er0037','Expense is not submitted yet. Cannot be verified.'),
('ENG','er0038','You are not authorized to verify the expense.'),
('ENG','er0039','User is not active.'),
('ENG','er0040','Expense already verified.'),
('ENG','er0041','You are not authorized to edit this record.'),
('ENG','er0042','You are not authorized to view this record.'),
('ENG','er0043','Project is not active.'),
('ENG','er0044','Account is not active.'),
('ENG','er0045','Expense date must in the same week'),
('ENG','er0046','Invalid authorization List'),
('ENG','er0047','Cannot be deleted! users are associated with this authorization List'),
('ENG','er0048','You are not authorized to delete this record.'),
('ENG','er0049','This role is not assigned to the project.'),
('ENG','er0050','Manager is not active.'),
('ENG','er0051','Cannot make user id inactive when user has reporting users.'),
('ENG','er0052','Invalid Manager id.'),
('ENG','er0053','User id is not a manager.'),
('ENG','er0054','Project is not assigned to bill to account'),
('ENG','er0055','Time record is already approved, Can not be held'),
('ENG','er0056','User cannot be deleted when users are reporting to this users'),
('ENG','er0057','Non-verified Expense records exist. Cannot invoice. Either hold or approve the record to create invoice'),
('ENG','er0058','Total hours cannot exceed 24hrs per day'),
('ENG','er0059','Non-approved Expenses and Time records exist. Either hold or approve the record to create invoice'),
('ENG','er0060','Can not replace \"Demo\" data'),
('ENG','er0061','Choose from list or Key in new database'),
('ENG','er0062','Either choose from list or key in new database; but not both'),
('ENG','er0063','Database exist in list, select from list'),
('ENG','er0064','No expense details exist, cannot be submitted'),
('ENG','er0065','No expense details exist, cannot be verified'),
('ENG','er0066','Expense already verified, cannot be changed'),
('ENG','er0067','Invalid directory'),
('ENG','er0068','Invalid file'),
('ENG','er0069','Time is already approved or invoiced; cannot be held'),
('ENG','er0070','Time is not held; cannot be released'),
('ENG','er0071','Time is already approved, cannot be deleted'),
('ENG','er0072','Time is already approved, cannot be changed'),
('ENG','er0073','Non-approved Time records exist. Cannot invoice. Either hold or approve the record to create invoice'),
('ENG','er0074','Expense is already verified or invoiced; cannot be held'),
('ENG','er0075','Expense is not held; cannot be released'),
('ENG','er0076','Task is not effective on this date. Correct work date or contact System Manager'),
('ENG','er0077','There is nothing to invoice, and curent invoice period is not completed yet. Cannot invoice now.'),
('ENG','er0078','You are not authorized for this operation.'),
('ENG','er0079','You are not authorized to delete this record.'),
('ENG','er0080','You are not authorized to create or maintain this records for this user.'),
('ENG','er0081','Restore Database was not Successful.'),
('ENG','er0082','Backup Database was not Successful.'),
('ENG','er0083','More digits entered after decimal than allowed'),
('ENG','er0084','For mileage per mile rate must be specified'),
('ENG','er0085','Cannot specify mileage rate for non-mileage type category'),
('ENG','er0086','Invalid email format'),
('ENG','er0087','You have to specify at least one of billable and non-billable hours'),
('ENG','er0088','This is a default admin user; cannot be deleted. You may disable it.'),
('ENG','er0089','Registration keys are not valid.'),
('ENG','er0090','Could not write register.txt file in config directory. Check proper permissions.'),
('ENG','er0091','Valid task; but you are not permitted to perform this task in this project.'),
('ENG','er0092','You do not have permission to write to images directory.'),
('ENG','er0093','Cannot delete. Time and/or Expense records exist for this user.'),
('ENG','er0094','Charges cannot be 0.'),
('ENG','er0095','Non-approved charges exist in this invoice, cannot create invoice. Either approve or hold those.'),
('ENG','er0096','Invoice has records in it, cannot be deleted.'),
('ENG','er0097','No program found for this ID'),
('ENG','er0098','Login ID and password cannot be blank'),
('ENG','er0099','Invalid menu id'),
('ENG','er0100','User has invalid menu or no menu'),
('ENG','er0101','Charge alredy submitted'),
('ENG','er0102','Charge alredy approved'),
('ENG','er0103','No such file exists: '),
('ENG','er0104','No such action was defined for: '),
('ENG','er0105','Time is not in Entered status, cannot be submitted.'),
('ENG','er0106','Time is not in Submitted status, cannot be approved.'),
('ENG','er0107','Missing mandatory values for the internally called function. Variable = '),
('ENG','er0108','Not a valid email address'),
('ENG','er0109','Could not register your email address, contact provider. Submit a support request.'),
('ENG','er0110','You have not registered with email address = '), 
('ENG','er0111','Your registration link does not match with our records. If you are sure about this, please contact technical support. Create a support request.'),
('ENG','er0112','Error in sending email to your email address.'),
('ENG','er0113','This is a System created record, cannot be modified or deleted'),
('ENG','er0114','Cannot delete. Used in menu system.'),
('ENG','er9998','A general exception was thrown: '),
('ENG','er9999',''),
('ENG','info0001','Database is Successfully saved in '),
('ENG','info0002','Database is Successfully restored from '),
		
		
('ITA', 'er0001', 'Nessun elemento trovato'),
('ITA', 'er0002', 'Specifica un identificativo unico'),
('ITA', 'er0003', 'Inserisci una descrizione'),
('ITA', 'er0004', 'Gia'' esistente. Non sono ammesse doppie registrazioni.'),
('ITA', 'er0005', 'Sei sicuro di voler eliminare questo elemento?'),
('ITA', 'er0006', 'L''utente non e'' autenticato'),
('ITA', 'er0007', 'Specifica l''intero nome'),
('ITA', 'er0008', 'Fornisci un indirizzo e-mail'),
('ITA', 'er0009', 'La data non e valida'),
('ITA', 'er0010', 'Le password fornite risultano non valide o non corrispondenti'),
('ITA', 'er0011', 'Questo campo non puo'' essere vuoto'),
('ITA', 'er0012', 'Identificativo utente e password non validi!'),
('ITA', 'er0013', 'Inserimento non valido: non presente nel sistema.'),
('ITA', 'er0014', 'Impossibile eliminare. Esistono progetti per questo conto.'),
('ITA', 'er0015', 'Elemento gia'' esistente'),
('ITA', 'er0016', 'Il ruolo selezionato puo'' essere assegnato a questo progetto'),
('ITA', 'er0017', 'Questa sequenza e'' gia'' in uso'),
('ITA', 'er0018', 'Il compito non e'' assegnato al Progetto'),
('ITA', 'er0019', 'L''utente non e'' assegnato al progetto'),
('ITA', 'er0020', 'Le ore fatturate non possono essere maggiori delle ore Attuali'),
('ITA', 'er0021', 'La data di fine settimana deve corrispondere ad un Sabato'),
('ITA', 'er0022', 'Impossibile eliminare: associato a Progetto.'),
('ITA', 'er0023', 'Impossibile eliminare. Compito, Ruolo o Utente associato a questo Progetto'),
('ITA', 'er0024', 'Impossibile eliminare. Esistono registrazioni di tempo-lavoro per questo elemento.'),
('ITA', 'er0025', 'Impossibile eliminare. Esistono Utenti per questo ruolo progettuale.'),
('ITA', 'er0026', 'Impossibile eliminare. Esistono spese per questa categoria.'),
('ITA', 'er0027', 'Impossibile eliminare. Dettagli presenti.'),
('ITA', 'er0028', 'L''utente non e'' assegnato a questo progetto'),
('ITA', 'er0029', 'Identificativo utente non valido.'),
('ITA', 'er0030', 'Non e'' possibile specificare contemporaneamente Importo e Miglia'),
('ITA', 'er0031', 'Devi specificare le miglia per la categoria di spesa che prevede il calcolo della distanza'),
('ITA', 'er0032', 'Devi specificare un importo valido in questo campo.'),
('ITA', 'er0033', 'Categoria di spesa non disponibile'),
('ITA', 'er0034', 'L''utente non e'' assegnato a questo progetto o non e'' attivo.'),
('ITA', 'er0035', 'Spesa gia'' inoltrata'),
('ITA', 'er0036', 'Le spese gia'' approvate non possono essere aggiunte, modificate o eliminate.'),
('ITA', 'er0037', 'La spesa non e'' stata ancora inoltrata. Impossibile verificarla.'),
('ITA', 'er0038', 'Non sei autorizzato a verificare la spesa.'),
('ITA', 'er0039', 'Utente non attivo.'),
('ITA', 'er0040', 'Spesa gia'' verificata'),
('ITA', 'er0041', 'Non sei autorizzato a modificare questo elemento.'),
('ITA', 'er0042', 'Non sei autorizzato a visualizzare questo elemento.'),
('ITA', 'er0043', 'Il progetto non e'' attivo.'),
('ITA', 'er0044', 'Il conto non e'' attivo.'),
('ITA', 'er0045', 'La data della spesa deve appartenere alla stessa settimana.'),
('ITA', 'er0046', 'Lista autorizzazioni non valida'),
('ITA', 'er0047', 'Impossibile eliminare! Vi sono utenti associati a questa Lista di autorizzazioni.'),
('ITA', 'er0048', 'Non sei autorizzato a eliminare questo elemento.'),
('ITA', 'er0049', 'Il ruolo non e'' assegnato al progetto'),
('ITA', 'er0050', 'L''amministratore non e'' attivo'),
('ITA', 'er0051', 'Imposibile disattivare l''utente se ci sono utenti che fanno riferimento ad esso.'),
('ITA', 'er0052', 'Identificativo Amministratore non valido.'),
('ITA', 'er0053', 'L''identificativo Utente non corrisponde a un manager.'),
('ITA', 'er0054', 'Il progetto non e'' abilitato per fatturazioni su conti.'),
('ITA', 'er0055', 'L''elemento di tempo e'' gia'' approvato. Non puo'' essere in sospeso.'),
('ITA', 'er0056', 'L''utente non puo'' essere elimintato quando altri utenti fanno riferimento ad esso.'),
('ITA', 'er0057', 'Esistono spese non approvate. Impossibile fatturare. Trattieni o approva gli elementi per fatturare.'),
('ITA', 'er0058', 'La quantita'' di  ore non puo'' eccedere le 24 ore giornaliere.'),
('ITA', 'er0059', 'Esistono spese e registrazioni di ore-lavoro non approvate. Trattieni o approva gli elementi per fatturare.'),
('ITA', 'er0060', 'Non posso sostituire i dati Demo'),
('ITA', 'er0061', 'Scegli nella lista oppure codifica in un nuovo database, ma non entrambi.'),
('ITA', 'er0062', 'Scegli alternativamente nella lista oppure codifica in un nuovo database, ma non entrambi.'),
('ITA', 'er0063', 'Il database e'' presente nella lista. Seleziona dalla lista'),
('ITA', 'er0064', 'Non esistono dettagli relativi alla spesa. Impossibile inoltrare'),
('ITA', 'er0065', 'Non esistono dettagli relativi alla spesa. Impossibile verificare'),
('ITA', 'er0066', 'Spesa gia'' verificata. Impossibile modificare.'),
('ITA', 'er0067', 'Elenco non valido'),
('ITA', 'er0068', 'File non valido'),
('ITA', 'er0069', 'Monteore gia'' approvato o fatturato, impossibile trattenere'),
('ITA', 'er0070', 'Monteore non trattenuto, Impossibile rilasciare'),
('ITA', 'er0071', 'Monteore gia'' approvato, impossibile eliminare'),
('ITA', 'er0072', 'Monteore gia'' approvato, impossibile modificare'),
('ITA', 'er0073', 'Esistono registrazioni di monteore non approvate. Impossibile fatturare. Trattieni oppure aprova gli elementi per poter creare la fattura'),
('ITA', 'er0074', 'La spesa e'' gia'' stata verificata o fatturata, non e'' possibile trattenerla'),
('ITA', 'er0075', 'La spesa non e'' trattenuta, impossibile rilasciarla'),
('ITA', 'er0076', 'Il task non e'' attivo in questa data. Correggi la data di lavoro o contatta l''Amministratore del Sistema'),
('ITA', 'er0077', 'Il periodo di fatturazione non e'' ancora trascorso. Impossibile creare fattura adesso.'),
('ITA', 'er0078', 'Non sei autorizzato ad eseguire questa operazione.'),
('ITA', 'er0079', 'Non sei autorizzato a eliminare questo elemento.'),
('ITA', 'er0080', 'Non sei autorizzato a creare o gestire registrazioni orarie per questo utente.'),
('ITA', 'er0081', 'Il ripristino del database non e'' andato a buon fine.'),
('ITA', 'er0082', 'Il backup del database non e'' andato a buon fine'),
('ITA', 'er0083', 'Sono stati inseriti piu'' decimali di quelli consentiti'),
('ITA', 'er0084', 'Per calcoli basati su chilometraggio e'' necessario specificare il costo per chilometro'),
('ITA', 'er0085', 'Impossibile specificare costo a chilometro per categorie che non prevedono il chilometraggio'),
('ITA', 'er0086', 'Formato e-mail non valido'),
('ITA', 'er0087', 'Devi specificare almeno un monteore fatturabile o non fatturabile'),
('ITA', 'er9998', 'Si e'' verificata un''eccezione generale'),
('ITA', 'er9999', ''),
('ITA', 'info0001', 'Database correttamente salvato in'),
('ITA', 'info0002', 'Database correttamente ripristinato da'),
		
		
('NED', 'er0001', 'Geen data gevonden'),
('NED', 'er0002', 'Voer een unieke ID in'),
('NED', 'er0003', 'Voer in een beschrijving'),
('NED', 'er0004', 'Al gedefinieerd, dubbele invoer niet toegestaan'),
('NED', 'er0005', 'Weet u zeker dat u deze regel wilt verwijderen?'),
('NED', 'er0006', 'Gebruiker is niet ingelogd'),
('NED', 'er0007', 'Voer volledige naam in'),
('NED', 'er0008', 'Email adres invoeren aub.'),
('NED', 'er0009', 'Datum is niet geldig!'),
('NED', 'er0010', 'Het ingevoerde wachtwoord is ongeldig of past niet'),
('NED', 'er0011', 'Veld mag niet leeg worden gelaten'),
('NED', 'er0012', 'Foute gebruikersnaam en wachtwoord'),
('NED', 'er0013', 'Ongeldige invoer: niet bij het systeem bekend'),
('NED', 'er0014', 'Kan niet worden verwijderd. Er bestaat een project voor deze klant'),
('NED', 'er0015', 'Invoer bestaat al.'),
('NED', 'er0016', 'Geselecteerde rol kan aan dit project zijn toegekend'),
('NED', 'er0017', 'Deze volgorde is al in gebruik'),
('NED', 'er0018', 'Taak is niet toegekend aan dit project'),
('NED', 'er0019', 'Gebruiker is niet toegekend aan dit project'),
('NED', 'er0020', 'Gefactureerde uren kunnen niet groter zijn dan de ingevoerde'),
('NED', 'er0021', 'Dit is geen bedrijfs gedefinieerde einde week datum'),
('NED', 'er0022', 'Niet te verwijderen. Gerelateerd aan een project'),
('NED', 'er0023', 'Niet te verwijderen. Taak, Rol, of Gebruiker is gerelateerd aan een project'),
('NED', 'er0024', 'Niet te verwijderen. Er is tijd geregistreerd op deze regel'),
('NED', 'er0025', 'Niet te verwijderen. Er is een gebruiker voor deze project rol'),
('NED', 'er0026', 'Niet te verwijderen. Er zijnonkosten geboekt op deze catagorie'),
('NED', 'er0027', 'Niet te verwijderen. Er zijn details ingevoerd'),
('NED', 'er0028', 'Gebruiker is niet toegekend aan dit project'),
('NED', 'er0029', 'Ongeldige gebruikers id'),
('NED', 'er0030', 'Zowel bedrag als kilometers kunnen  niet worden beschreven'),
('NED', 'er0031', 'U moet de kilometers opgeven voor de kilometersvergoedings onkosten'),
('NED', 'er0032', 'U moet hier een geldig bedrag invoeren'),
('NED', 'er0033', 'Onkosten catagorie is niet beschikbaar'),
('NED', 'er0034', 'Gebruiker is niet toegekend aan dit project, of niet actief'),
('NED', 'er0035', 'Onkosten al doorgegeven'),
('NED', 'er0036', 'Onkosten al goedgekeurd, kan niet meer worden toegevoegd,bewerkt of verwijderd'),
('NED', 'er0037', 'Onkosten zijn nog niet doorgegeven, kunnen niet worden gecontroleerd'),
('NED', 'er0038', 'U bent niet gemachtigd om deze onkosten te controleren'),
('NED', 'er0039', 'Gebruiker is niet actief'),
('NED', 'er0040', 'Onkosten zijn al gecontroleerd'),
('NED', 'er0041', 'U bent niet gemachtigd om deze invoer te wijzigen'),
('NED', 'er0042', 'U bent niet gemachtigd om deze invoer te bekijken'),
('NED', 'er0043', 'Project is niet actief'),
('NED', 'er0044', 'Klant is niet actief'),
('NED', 'er0045', 'Onkosten datum moeten binnen dezelfde week vallen'),
('NED', 'er0046', 'ongeldige authorisatie lijst'),
('NED', 'er0047', 'Kan niet worden verwijderd. Er zijn gebruikers gekoppeld aan deze authorisatielijst'),
('NED', 'er0048', 'U bent niet gemachtigd om deze regel te verwijderen'),
('NED', 'er0049', 'Deze rol is niet toegekend binnen dit project'),
('NED', 'er0050', 'Manager is niet actief'),
('NED', 'er0051', 'Gebruiker kan niet inactief worden gemaakt als er aan hem rapporterende gebruikers zijn. '),
('NED', 'er0052', 'Ongeldige manager id.'),
('NED', 'er0053', 'Gebruiker is geen manager'),
('NED', 'er0054', 'Dit project is niet ingesteld om naar klant te kunnen worden gefactureerd'),
('NED', 'er0055', 'tijd invoer is al goedgekeurd, kan niet worden geparkeerd'),
('NED', 'er0056', 'Gebruiker kan niet worden verwijderd, indien er gebruikers rapporteren aan deze gebruiker'),
('NED', 'er0057', 'Er bestaan niet goedgekeurde onkosten registraties, kan niet factureren. Keur onkosten goed of parkeer e om factuur aan te kunnen maken. '),
('NED', 'er0058', 'Totaal aantal uren kan niet boven de 24 uur per dag komen'),
('NED', 'er0059', 'Er bestaan niet goedgekeurde onkosten en tijd registraties, kan niet factureren. Keur deze goed of parkeer ze om factuur aan te kunnen maken. '),
('NED', 'er0060', 'U kunt Demo data niet verplaatsen'),
('NED', 'er0061', 'Kies uit de lijst of voer nieuwe database in'),
('NED', 'er0062', 'Of kies uit de lijst of voer nieuwe database in, maar niet beide'),
('NED', 'er0063', 'Database bestaat in de lijst, selecteer van de lijst'),
('NED', 'er0064', 'Er bestaan geen Onkosten details, kan dus niet worden doorgegeven'),
('NED', 'er0065', 'Er bestaan geen Onkosten details, kan dus niet worden gecontroleerd'),
('NED', 'er0066', 'Onkosten al gecontroleerd, kunnen niet meer worden gewijzigd'),
('NED', 'er0067', 'Ongeldige Directory'),
('NED', 'er0068', 'Ongeldige File'),
('NED', 'er0069', 'Tijd is al geodgekeurd of gefactureerd, kan niet worden geparkeerd'),
('NED', 'er0070', 'Tijd is niet geparkeerd, kan niet worden vrijgegeven'),
('NED', 'er0071', 'Tijd is al goedgekeurd, kan niet meer worden verwijderd'),
('NED', 'er0072', 'Tijd is al goedgekeurd, kan niet meer worden gewijzigd'),
('NED', 'er0073', 'Er zijn niet goedgekeurde tijdsregistraties, keur deze goed of parkeer deze, voordat er een factuur kan worden aangemaakt'),
('NED', 'er0074', 'Onkosten zijn al gecontroleerd of gefactureerd, kunnen niet worden geparkeerd'),
('NED', 'er0075', 'Onkosten zijn niet geparkeerd, kunnen niet worden vrijgegeven'),
('NED', 'er0076', 'Taak is niet actief op deze datum. Corrigeer werkdatum of neem contact op met systeem beheerder'),
('NED', 'er0077', 'Factuur periode nog niet afgelopen, er kan nog niet worden gefactureerd'),
('NED', 'er0078', 'U bent niet gemachtigd voor deze bewerking'),
('NED', 'er0079', 'U bent niet gemachtigd om deze invoer te verwijderen'),
('NED', 'er0080', 'U bent niet gemachtigd om voor deze gebruiker tijd te schrijven of te wijzigen'),
('NED', 'er0081', 'Herstellen Database vanuit backup niet gelukt'),
('NED', 'er0082', 'Backup maken van de Database niet gelukt'),
('NED', 'er0083', 'meer decimalen achter de komma gebruikt dan zijn toegestaan'),
('NED', 'er0084', 'Voor kilometer vergoeding per Km moet er een tarief zijn ingevoerd'),
('NED', 'er0085', 'Kan geen Km tarief invoeren bij een niet Km type onkosten catagorie'),
('NED', 'er0086', 'ongeldig Email formaat'),
('NED', 'er0087', 'U moet tenminste 1 declarabel of niet declarabel uur invoeren'),
('NED', 'er0088', 'dit is een standaard admin gebruiker, kan niet worden verwijderd, wel uitgeschakeld'),
('NED', 'er9998', 'Een algemene uitzondering is opgetreden'),
('NED', 'er9999', ''),
('NED', 'info0001', 'Database succesvol opgeslagen in'),
('NED', 'info0002', 'Database succesvol hersteld vanuit')
		
		
"),
		
		
		
"literals" => array(
	"fields" => ("language, literals_id, label"),
	"values" => "
('ITA', 'About', 'Informazioni su'),
('ITA', 'Accounts', 'Conti'),
('ITA', 'Active', 'Attivo'),
('ITA', 'Authorization', 'Autorizzazione'),
('ITA', 'Backup Data', 'Backup dei dati'),
('ITA', 'Browse', 'Visualizza'),
('ITA', 'Change Password', 'Cambia password'),
('ITA', 'Changed At', 'Cambiato il'),
('ITA', 'Changed By', 'Cambiato da'),
('ITA', 'Copy', 'Copia'),
('ITA', 'Copyright', 'Copyright'),
('ITA', 'Create', 'Crea'),
('ITA', 'Created At', 'Creato il'),
('ITA', 'Created By', 'Creato da'),
('ITA', 'Date Format', 'Formato data'),
('ITA', 'DD/MM/YYYY', 'DD/MM/YYYY'),
('ITA', 'Delete', 'Elimina'),
('ITA', 'Edit', 'Modifica'),
('ITA', 'Email Address', 'Indirizzo e-mail'),
('ITA', 'English', 'Inglese'),
('ITA', 'Expense Categories', 'Categorie di spesa'),
('ITA', 'Expense Entry', 'Registrazione Spesa'),
('ITA', 'Full name', 'Nome completo'),
('ITA', 'Go Back', 'Torna Indietro'),
('ITA', 'History', 'Storia'),
('ITA', 'Inactive', 'Inattivo'),
('ITA', 'Invoice', 'Fattura'),
('ITA', 'Italian', 'Italiano'),
('ITA', 'Join Date', 'Data di registrazione'),
('ITA', 'Language', 'Lingua'),
('ITA', 'List', 'Lista'),
('ITA', 'List Summary', 'Elenco riepilogativo'),
('ITA', 'Login', 'Login'),
('ITA', 'Logout', 'Logout'),
('ITA', 'MM/DD/YYYY', 'MM/DD/YYYY'),
('ITA', 'Password', 'Password'),
('ITA', 'Print', 'Stampa'),
('ITA', 'Projects', 'Progetti'),
('ITA', 'Refresh', 'Aggiorna'),
('ITA', 'Report To', 'Riferito a'),
('ITA', 'Restore Data', 'Ripristino dei dati'),
('ITA', 'Roles', 'Ruoli'),
('ITA', 'Search', 'Cerca'),
('ITA', 'Seconds', 'Secondi'),
('ITA', 'Server response time', 'Tempo di risposta del server'),
('ITA', 'Status', 'Condizione'),
('ITA', 'Submit', 'Invia'),
('ITA', 'System Administration', 'Amministrazione del sistema'),
('ITA', 'Tasks', 'Compiti'),
('ITA', 'Time and Expense Management System', 'Sistema per la Gestione del Tempo-Lavoro e delle Spese'),
('ITA', 'Time Entry', 'Inserimento tempo-lavoro'),
('ITA', 'Title', 'Titolo'),
('ITA', 'User', 'Utente'),
('ITA', 'User Group', 'Gruppo di appartenenza'),
('ITA', 'Users', 'Utenti'),
('ITA', 'Welcome', 'Benvenuto'),
('ITA', 'YYYY/MM/DD', 'YYYY/MM/DD'),
('ITA', 'Category', 'Categoria'),
('ITA', 'Description', 'Descrizione'),
('ITA', 'Sequence on Report:', 'Ordine nel Report:'),
('ITA', 'Is Mileage?:', 'E'' quantificato in Chilometri?'),
('ITA', 'Mileage Rate:', 'Costo per Chilometro:'),
('ITA', 'Yes', 'Si'),
('ITA', 'No', 'No'),
('ITA', 'Account', 'Conto'),
('ITA', 'From', 'Da'),
('ITA', 'To', 'A'),
('ITA', 'Billable Hours', 'Ore Fatturabili'),
('ITA', 'Non-Billable Hours', 'Ore non Fatturabili'),
('ITA', 'Total Hours', 'Ore Totali'),
('ITA', 'Total Amount', 'Importo Totale'),
('ITA', 'Expense', 'Spesa'),
('ITA', 'Invoice Amount', 'Importo Fattura'),
('ITA', 'Billing Cycle', 'Periodo di Fatturazione'),
('ITA', 'Weekly', 'Settimanalmente'),
('ITA', 'Fortnightly', 'Quindicinalmente'),
('ITA', 'Bi-Weekly', 'Bisettimanalmente'),
('ITA', 'Monthly', 'Mensilmente'),
('ITA', 'Held', 'Trattenuto'),
('ITA', 'Consultant', 'Operatore'),
('ITA', 'Entered', 'Registrato'),
('ITA', 'Submitted', 'Inviato'),
('ITA', 'Approved', 'Approvato'),
('ITA', 'Invoiced', 'Fatturato'),
('ITA', 'All', 'Tutto'),
('ITA', 'Open', 'Aperto'),
('ITA', 'My Time', 'Mie Ore'),
('ITA', 'My Group', 'Mio Gruppo'),
('ITA', 'Report To Me', 'Riferito a Me'),
('ITA', 'Weeekend', 'Finesettimana'),
('ITA', 'Work Date:', 'Data di lavoro:'),
('ITA', 'Project:', 'Progetto:'),
('ITA', 'Show Criteria:', 'Criteri di Visualizzazione:'),
('ITA', 'Name', 'Nome'),
('ITA', 'Next Action', 'Azione Successiva'),
('ITA', 'My Expense', 'Mia Spesa'),
('ITA', 'Account Name:', 'Nome Conto:'),
('ITA', 'City:', 'Citta'':'),
('ITA', 'State:', 'Nazione:'),
('ITA', 'Weekend:', 'Finesettimana:'),
('ITA', 'Bill to Account::', 'Fattura a Conto:'),
('ITA', 'Verified', 'Verificato'),
('ITA', 'On Hold', 'In Sospeso'),
('ITA', 'Bill Cycle:', 'Cadenza Fatturazione:'),
('ITA', 'Bill Cycle', 'Cadenza Fatturazione'),
('ITA', 'Last Billed On', 'Data Ultima Fattura'),
('ITA', 'Task', 'Compito'),
('ITA', 'Role', 'Ruolo'),
('ITA', 'User Group:', 'Gruppo:'),
('ITA', 'Authorizations List', 'Elenco autorizzazioni'),
('ITA', 'Location:', 'Luogo:'),
('ITA', 'Comments:', 'Commenti:'),
('ITA', 'Work Location:', 'Luogo di lavoro:'),
('ITA', 'Address line 1:', 'Indirizzo (prima riga):'),
('ITA', 'Address line 2:', 'Indirizzo (riga 2):'),
('ITA', 'Postal Code:', 'Codice Postale:'),
('ITA', 'Contact Name:', 'Nome Contatto:'),
('ITA', 'Contact E-mail:', 'E-mail Contatto:'),
('ITA', 'None', 'Nessuna'),
('ITA', 'Own', 'Individuale'),
('ITA', 'Group', 'Gruppo'),
('ITA', 'List Users', 'Lista Utenti'),
('ITA', 'Next', 'Prossimo'),
('ITA', 'Previous', 'Precedente'),
('ITA', 'Browse User', 'Sfoglia utente'),
('ITA', 'System Configuration', 'Configurazione di sistema'),
('ITA', 'French', 'Francese'),
('ITA', 'Spanish', 'Spagnolo'),
('ITA', 'Edit User', 'Modifica Utente'),
('ITA', 'Create User', 'Crea utente'),
('ITA', 'Delete User', 'Elimina utente'),
('ITA', 'Bill to Account', 'Fatturare su Conto'),
('ITA', 'Project', 'Progetto'),
('ITA', 'Created On', 'Creato il'),
('ITA', 'Modified On', 'Modifica'),
('ITA', 'Modified By', 'Modificato da'),
('ITA', 'Assign tasks', 'Assegnare compiti'),
('ITA', 'Assign roles', 'Assegnare i ruoli'),
('ITA', 'Assign users', 'Assegnare gli utenti'),
('ITA', 'Browse Project', 'Sfoglia Progetto'),
('ITA', 'Print Weekly Report', 'Stampa report settimanale'),
('ITA', 'Approve', 'Approvare'),
('ITA', 'Release', 'Distribuzione'),
('ITA', 'Expense Details', 'Dettaglio spese'),
('ITA', 'Air', 'Aereo'),
('ITA', 'Hotel', 'Hotel'),
('ITA', 'Taxi', 'Taxi'),
('ITA', 'Lunch', 'Pranzo'),
('ITA', 'Dinner', 'Cena'),
('ITA', 'Breakfast', 'Colazione'),
('ITA', 'Parking', 'Parcheggio'),
('ITA', 'Car', 'Auto'),
('ITA', 'Petrol', 'Benzina'),
('ITA', 'Gas', 'Gas'),
('ITA', 'Mileage', 'Chilometraggio'),
('ITA', 'Amount', 'Importo'),
('ITA', 'Submitted On', 'Inviato il'),
('ITA', 'Verified On', 'Verificata sulla'),
('ITA', 'Invoiced On', 'Fatturati sulla'),
('ITA', 'Browse Expense', 'Sfoglia Spese'),
('ITA', 'List Expenses', 'Lista Spese'),
('ITA', 'Delete Expense', 'Elimina Spese'),
('ITA', 'Copy Expense', 'Copia Spese'),
('ITA', 'Edit Expense', 'Modifica Spese'),
('ITA', 'Create Expense', 'Crea Spese'),
('ITA', 'Weekend', 'Week-end'),
('ITA', 'Comments', 'Commenti'),
('ITA', 'Location', 'Posizione'),
('ITA', 'Expense Date', 'Data di spesa'),
('ITA', 'Show Criteria', 'Mostra Criteri'),
('ITA', 'Back', 'Indietro'),
('ITA', 'Browse Expense Detail', 'Sfoglia Dettaglio Spese'),
('ITA', 'Miles', 'Chilometri'),
('ITA', 'Edit Expense Detail', 'Mofica Spese Dettaglio'),
('ITA', 'Copy Expense Detail', 'Copia Spese Dettaglio'),
('ITA', 'Delete Expense Detail', 'Eliminia Spese Dettaglio'),
('ITA', 'Create Expense Detail', 'Crea Spese Dettaglio'),
('ITA', 'List Expense Detail', 'Lista Spese Dettaglio'),
('ITA', '-- All --', '-- Tutti --'),
('ITA', 'Account Name', 'Nome Conto'),
('ITA', 'City', 'citta'''),
('ITA', 'State', 'Nazione'),
('ITA', 'Postal Code', 'Codice Postale'),
('ITA', 'Contact Name', 'Nome Contatto'),
('ITA', 'List Account', 'Elenco dei Conti'),
('ITA', 'List Time Cards by Week', 'Elenco Monte-ore settimanali'),
('ITA', 'Create Time Card', 'Crea Monte-ore'),
('ITA', 'List Invoices', 'Elenco Fatture'),
('ITA', 'Create Literal', 'Crea Traduzione'),
('ITA', 'Browse Literal', 'Sfoglia Traduzione'),
('ITA', 'List Time Cards', 'Elenco Monte-Ore'),
('ITA', 'Work Date', 'Data Lavoro'),
('ITA', 'Print Weekly Time Card', 'Stampa Monte-Ore settimanale'),
('ITA', 'Leave this field blank to print time report for all projects that you have worked on.', 'Lascia bianco questo campo per stampare i resoconti di tutti i progetti nei quali hai lavorato.'),
('ITA', 'List Accounts', 'Elenco Conti'),
('ITA', 'Address line 1', 'Indirizzo - riga1'),
('ITA', 'Address line 2', 'Indirizzo - riga 2'),
('ITA', 'Create Account', 'Crea Conto'),
('ITA', 'Contact E-mail', 'E-mail di riferimento'),
('ITA', 'Create Project', 'Crea Progetto'),
('ITA', 'Sequence on Report', 'Posizione nel Report'),
('ITA', 'Is Mileage?', 'Si misura in Miglia?'),
('ITA', 'Mileage Rate', 'Tariffa per Miglia'),
('ITA', 'Create Expense Category', 'Crea Categoria di Spesa'),
('ITA', 'List Expense Categories', 'Elenco Categorie di Spesa'),
('ITA', 'List Tasks', 'Elenco Compiti'),
('ITA', 'List Roles', 'Elenco Ruoli'),
('ITA', 'List Authorizations', 'Elenco Autorizzazioni'),
('ITA', 'Work Location', 'Luogo di Lavoro'),
('ITA', 'Times', 'Ore-lavoro'),
('ITA', 'Expenses', 'Spese'),
('ITA', 'Undo Invoice', 'AnNULLa Fattura'),
('ITA', 'List Projects', 'Elenco Progetti'),
('ITA', 'invoices', 'fatture'),
('ITA', 'Create Task', 'Crea Compito'),
('ITA', 'Create Role', 'Crea Ruolo'),
('ITA', 'Create Authorization', 'Crea Autorizzazione'),
('ITA', 'List Roles of a Project', 'Elenca Ruoli di un Progetto'),
('ITA', 'Print Time Cards of a Project by Week', 'Stampa Cartellini settimanali ore lavoro di un progetto'),
('ITA', 'List Tasks of a Project', 'Elenca compiti di un Progetto'),
('ITA', 'Assign Task To A Project', 'Assegna Compito ad un Progetto'),
('ITA', 'Assign Role To A Project', 'Assegna un Ruolo ad un Progetto'),
('ITA', 'List Users in a Project', 'Elenca Utenti di un Progetto'),
('ITA', 'Assign User to a Project', 'Assegna Utente ad un Progetto'),
('ITA', 'Print Time Cards of an Account by Week', 'Stampa Cartellini settimanali ore lavoro di un Conto'),
('ITA', 'Browse Account', 'Sfoglia Conto'),
('ITA', 'Create Invoice', 'Crea Fattura'),
('ITA', 'Browse Project Task', 'Sfoglia Compiti del Progetto'),
('ITA', 'Edit Project Task', 'Modifica Compiti del Progetto'),
('ITA', 'Remove Task From A Project', 'Rimuovi Compito dal Progetto'),
('ITA', 'Browse Project Role', 'Sfoglia Ruolo nel Progetto'),
('ITA', 'Edit Project Role', 'Modifica Ruolo del Progetto'),
('ITA', 'Browse Invoice', 'Sfoglia Fattura'),
('ITA', 'List Expense Details', 'Elenca Dettagli delle Spese'),
('ITA', 'Edit Project', 'Modifica Progetto'),
('ITA', 'Browse Authorization', 'Sfoglia Autorizzazioni'),
('ITA', 'Edit Authorization', 'Modifica Autorizzazioni'),
('ITA', 'Browse Role', 'Sfoglia Ruolo'),
('ITA', 'Edit Role', 'Modifica Ruolo'),
('ITA', 'Edit Account', 'Modifica Conto'),
('ITA', 'Browse Task', 'Sfoglia Compito'),
('ITA', 'Edit Task', 'Modifica Compito'),
('ITA', 'Delete Project', 'Elimina Progetto'),
('ITA', 'Delete Task', 'Elimina Compito'),
('ITA', 'Delete Account', 'Elimina Conto'),
('ITA', 'Browse Time Card', 'Sfoglia Cartellini Tempo'),
('ITA', 'Delete Time Card', 'Elimina Cartellino Tempo'),
('ITA', 'Weekly Project Time Report', 'Report Settimanale Monteore Progetto'),
('ITA', 'Client', 'Cliente'),
('ITA', 'Period', 'Periodo'),
('ITA', 'Date', 'Data'),
('ITA', 'Actual Hours', 'Ore Complessive'),
('ITA', 'Project Total Hours', 'Totale ore progetto'),
('ITA', 'Weekly Customer Time Report', 'Report Settimanale Monterore per Cliente'),
('ITA', 'Customer', 'Cliente'),
('ITA', 'Total Project Hours', 'Totale Ore Progetto'),
('ITA', 'Grand Total Hours', 'Totale ore complessive'),
('ITA', 'Weekly Personal Time Report', 'Report Settimanale del Monteore Personale'),
('ITA', 'Weekly Total', 'Totale Settimanale'),
('ITA', 'Weekly Expense Report', 'Report Settimanale Spese'),
('ITA', 'Expense Category', 'Categoria di Spesa'),
('ITA', 'Sunday', 'Domenica'),
('ITA', 'Monday', 'Lunedi'''),
('ITA', 'Tuesday', 'Martedi'''),
('ITA', 'Wednesday', 'Mercoledi'''),
('ITA', 'Thursday', 'Giovedi'''),
('ITA', 'Friday', 'Venerdi'''),
('ITA', 'Saturday', 'Sabato'),
('ITA', 'Total', 'Totale'),
('ITA', 'Accounting', 'Contabilita'''),
('ITA', 'Billable', 'Fatturabili'),
('ITA', 'Hours', 'Ore'),
('ITA', 'Billed', 'Fatturato'),
('ITA', 'Non-billable', 'Non Fatturabili'),
('ITA', 'Rate', 'Tariffa'),
('ITA', 'To (W/E)', 'A (Weekend)'),
('ITA', 'Expense Summary', 'Riepilogo Spese'),
('ITA', 'All projects Total', 'Totale tutti I Progetti'),
('ITA', 'Project Total', 'Totale Progetto'),
('ITA', 'Invoice Total', 'Totale Fattura'),
('ITA', 'Time Details', 'Dettagli Tempo'),
('ITA', 'Billed Amount', 'Importo Fattura'),
('ITA', 'Time Summary', 'Riepilogo Ore'),
('ITA', 'Kilometer', 'Chilometro'),
('ITA', 'Kilometers', 'Chilometri'),
('ITA', 'Mile', 'Chilometro'),
		
		
('NED', '-- All --', '-- Alles --'),
('NED', 'About', 'Over'),
('NED', 'Account', 'Klant'),
('NED', 'Account Name', 'Klant Naam'),
('NED', 'Account Name:', 'Klant Naam:'),
('NED', 'Accounting', 'Klantoverzicht'),
('NED', 'Accounts', 'Klanten'),
('NED', 'Active', 'Actief'),
('NED', 'Actual Hours', 'Actuele Uren'),
('NED', 'Address line 1', 'Adres Regel 1'),
('NED', 'Address line 1:', 'Adres Regel 1:'),
('NED', 'Address line 2', 'Adres Regel 2'),
('NED', 'Address line 2:', 'Adres Regel 2:'),
('NED', 'Air', 'Lucht'),
('NED', 'All', 'Alles'),
('NED', 'All projects Total', 'Totaal over alle  projecten'),
('NED', 'Amount', 'Bedrag'),
('NED', 'Approve', 'Goedkeuren'),
('NED', 'Approved', 'Goedgekeurd'),
('NED', 'Assign Role To A Project', 'Toekennen Rol aan een Project'),
('NED', 'Assign roles', 'Toekennen rollen'),
('NED', 'Assign Task To A Project', 'Toekennen Taak aan een Project'),
('NED', 'Assign tasks', 'Toekennen Taken'),
('NED', 'Assign User to a Project', 'Toekennen Gebruiker aan een Project'),
('NED', 'Assign users', 'Toekennen gebruikers'),
('NED', 'Authorization', 'Rechten'),
('NED', 'Authorizations List', 'Overzicht Rechten'),
('NED', 'Back', 'Terug'),
('NED', 'Backup Data', 'Backup Data'),
('NED', 'Bi-Weekly', 'Twee wekelijks'),
('NED', 'Bill Cycle', 'Factuur Periode'),
('NED', 'Bill Cycle:', 'Factuur Periode:'),
('NED', 'Bill to Account', 'Factureer aan Klant'),
('NED', 'Bill to Account::', 'Factureer aan Klant:'),
('NED', 'Billable', 'Facturable'),
('NED', 'Billable Hours', 'Facturable Uren'),
('NED', 'Billed', 'Gefactureerd'),
('NED', 'Billed Amount', 'Gefactureerd Bedrag'),
('NED', 'Billing Cycle', 'Facturings Periode'),
('NED', 'Breakfast', 'Ontbijt'),
('NED', 'Browse', 'Bekijken'),
('NED', 'Browse Account', 'Bekijken Klant'),
('NED', 'Browse Authorization', 'Bekijken Rechten'),
('NED', 'Browse Expense', 'Bekijken Onkosten'),
('NED', 'Browse Expense Detail', 'Details Bekijken Onkosten'),
('NED', 'Browse Invoice', 'Bekijken Factuur'),
('NED', 'Browse Literal', 'Bekijken Programma titels'),
('NED', 'Browse Project', 'Bekijken Project'),
('NED', 'Browse Project Role', 'Bekijken Project Rol'),
('NED', 'Browse Project Task', 'Bekijken Project Taak'),
('NED', 'Browse Role', 'Bekijken Rol'),
('NED', 'Browse Task', 'Bekijken Taak'),
('NED', 'Browse Time Card', 'Bekijken Tijdregistratie'),
('NED', 'Browse User', 'Bekijken Gebruiker'),
('NED', 'Car', 'Auto'),
('NED', 'Category', 'Categorie'),
('NED', 'Change Password', 'Wijzig Wachtwoord'),
('NED', 'Changed At', 'Gewijzigd op'),
('NED', 'Changed By', 'Gewijzigd door'),
('NED', 'City', 'Stad'),
('NED', 'City:', 'Stad:'),
('NED', 'Client', 'Klant'),
('NED', 'Comments', 'Opmerkingen'),
('NED', 'Comments:', 'Opmerkingen:'),
('NED', 'Consultant', 'Consultant'),
('NED', 'Contact E-mail', 'Contact E-mail'),
('NED', 'Contact E-mail:', 'Contact E-mail:'),
('NED', 'Contact Name', 'Contact Naam'),
('NED', 'Contact Name:', 'Contact Naam:'),
('NED', 'Copy', 'Kopie'),
('NED', 'Copy Expense', 'Kopie Onkosten'),
('NED', 'Copy Expense Detail', 'Kopie Detail Onkosten'),
('NED', 'Copyright', 'Copyright'),
('NED', 'Create', 'Aanmaken'),
('NED', 'Create Account', 'Aanmaken Klant'),
('NED', 'Create Authorization', 'Aanmaken Rechten'),
('NED', 'Create Expense', 'Aanmaken Onkosten'),
('NED', 'Create Expense Category', 'Aanmaken Onkosten Categorie'),
('NED', 'Create Expense Detail', 'Aanmaken Onkosten Detail'),
('NED', 'Create Invoice', 'Aanmaken Factuur'),
('NED', 'Create Literal', 'Aanmaken Programma titels'),
('NED', 'Create Project', 'Aanmaken Project'),
('NED', 'Create Role', 'Aanmaken Rol'),
('NED', 'Create Task', 'Aanmaken Taak'),
('NED', 'Create Time Card', 'Aanmaken Tijdregistratie'),
('NED', 'Create User', 'Aanmaken Gebruiker'),
('NED', 'Created At', 'Aangemaakt op'),
('NED', 'Created By', 'Aangemaakt door'),
('NED', 'Created On', 'Aangemaakt op'),
('NED', 'Customer', 'Gebruiker'),
('NED', 'Date', 'Datum'),
('NED', 'Date Format', 'Datum Formaat'),
('NED', 'DD/MM/YYYY', 'DD/MM/JJJJ'),
('NED', 'Delete', 'Verwijder'),
('NED', 'Delete Account', 'Verwijder Klant'),
('NED', 'Delete Expense', 'Verwijder Onkosten'),
('NED', 'Delete Expense Detail', 'Verwijder Onkosten Detail'),
('NED', 'Delete Project', 'Verwijder Project'),
('NED', 'Delete Task', 'Verwijder Taak'),
('NED', 'Delete Time Card', 'Verwijder Tijdregistratie'),
('NED', 'Delete User', 'Verwijder Gebruiker'),
('NED', 'Description', 'Beschrijving'),
('NED', 'Dinner', 'Maaltijd'),
('NED', 'Edit', 'Wijzig'),
('NED', 'Edit Account', 'Wijzig Klant'),
('NED', 'Edit Authorization', 'Wijzig Rechten'),
('NED', 'Edit Expense', 'Wijzig Onkosten'),
('NED', 'Edit Expense Detail', 'Wijzig Onkosten Detail'),
('NED', 'Edit Project', 'Wijzig Project'),
('NED', 'Edit Project Role', 'Wijzig Project Rol'),
('NED', 'Edit Project Task', 'Wijzig Project Taak'),
('NED', 'Edit Role', 'Wijzig Rol'),
('NED', 'Edit Task', 'Wijzig Taak'),
('NED', 'Edit User', 'Wijzig Gebruiker'),
('NED', 'Email Address', 'Email Adres'),
('NED', 'English', 'Engels'),
('NED', 'Entered', 'Ingevoerd'),
('NED', 'Expense', 'Onkosten'),
('NED', 'Expense Categories', 'Onkosten Categorieen'),
('NED', 'Expense Category', 'Onkosten Categorie'),
('NED', 'Expense Date', 'Onkosten Datum'),
('NED', 'Expense Details', 'Onkosten Details'),
('NED', 'Expense Entry', 'Onkosten Invoer'),
('NED', 'Expense Summary', 'Onkosten Overzicht'),
('NED', 'Expenses', 'Onkosten'),
('NED', 'Fortnightly', 'Twee wekelijks'),
('NED', 'French', 'Frans'),
('NED', 'Friday', 'Vrijdag'),
('NED', 'From', 'Van'),
('NED', 'Full name', 'Volledige Naam'),
('NED', 'Gas', 'Benzine'),
('NED', 'Go Back', 'Ga Terug'),
('NED', 'Grand Total Hours', 'Totaal aan Uren'),
('NED', 'Group', 'Groep'),
('NED', 'Held', 'Geparkeerd'),
('NED', 'History', 'Geschiedenis'),
('NED', 'Hotel', 'Hotel'),
('NED', 'Hours', 'Uren'),
('NED', 'Inactive', 'In actief'),
('NED', 'Invoice', 'Factuur'),
('NED', 'Invoice Amount', 'Factuur Bedrag'),
('NED', 'Invoice Total', 'Factuur Totaal'),
('NED', 'Invoiced', 'Gefactureerd'),
('NED', 'Invoiced On', 'Gefactureerd op'),
('NED', 'invoices', 'Facturen'),
('NED', 'Is Mileage?', 'is Kilometerstand?'),
('NED', 'Is Mileage?:', 'is Kilometerstand?:'),
('NED', 'Italian', 'Italiaans'),
('NED', 'Join Date', 'Aanvangs Datum'),
('NED', 'Kilometer', 'Kilometer'),
('NED', 'Kilometers', 'Kilometers'),
('NED', 'Language', 'Taal'),
('NED', 'Last Billed On', 'Laatst Gefactureerd op'),
('NED', 'Leave this field blank to print time report for all projects that you have worked on.', 'Leeg laten om de tijd rapportage over alle projecten waaraan is gewerkt af te drukken.'),
('NED', 'List', 'Lijst'),
('NED', 'List Account', 'Overzicht Klant'),
('NED', 'List Accounts', 'Overzicht Klanten'),
('NED', 'List Authorizations', 'Overzicht Rechten'),
('NED', 'List Expense Categories', 'Overzicht Onkosten Categorieen'),
('NED', 'List Expense Detail', 'Overzicht Onkosten Detail'),
('NED', 'List Expense Details', 'Overzicht Onkosten Details'),
('NED', 'List Expenses', 'Overzicht Onkosten'),
('NED', 'List Invoices', 'Overzicht Facturen'),
('NED', 'List Projects', 'Overzicht Projecten'),
('NED', 'List Roles', 'Overzicht Rollen'),
('NED', 'List Roles of a Project', 'Overzicht Rollen op een Project'),
('NED', 'List Summary', 'Overzicht Totaal'),
('NED', 'List Tasks', 'Overzicht Taken'),
('NED', 'List Tasks of a Project', 'Overzicht Taken op een Project'),
('NED', 'List Time Cards', 'Overzicht Tijdregistratie'),
('NED', 'List Time Cards by Week', 'Overzicht Tijdregistratie per Week'),
('NED', 'List Users', 'Overzicht Gebruikers'),
('NED', 'List Users in a Project', 'Overzicht Gebruikers op een Project'),
('NED', 'Location', 'Locatie'),
('NED', 'Location:', 'Locatie:'),
('NED', 'Login', 'Aanmelden'),
('NED', 'Logout', 'Afmelden'),
('NED', 'Lunch', 'Lunch'),
('NED', 'Mile', 'Kilometer'),
('NED', 'Mileage', 'Kilometerstand'),
('NED', 'Mileage Rate', 'Kilometer Tarief'),
('NED', 'Mileage Rate:', 'Kilometer Tarief:'),
('NED', 'Miles', 'Kilometers'),
('NED', 'MM/DD/YYYY', 'MM/DD/JJJJ'),
('NED', 'Modified By', 'Bewerkt Door'),
('NED', 'Modified On', 'Bewerkt Op'),
('NED', 'Monday', 'Maandag'),
('NED', 'Monthly', 'Maandelijks'),
('NED', 'My Expense', 'Mijn Onkosten'),
('NED', 'My Group', 'Mijn Groep'),
('NED', 'My Time', 'Mijn Tijd'),
('NED', 'Name', 'Naam'),
('NED', 'Next', 'Volgende'),
('NED', 'Next Action', 'Volgende Actie'),
('NED', 'No', 'Nee'),
('NED', 'Non-billable', 'Non te factureren'),
('NED', 'Non-Billable Hours', 'Niet te factureren Uren'),
('NED', 'None', 'Geen'),
('NED', 'On Hold', 'Geparkeerd'),
('NED', 'Open', 'Open'),
('NED', 'Own', 'Eigen'),
('NED', 'Parking', 'Parkeren'),
('NED', 'Password', 'Wachtwoord'),
('NED', 'Period', 'Periode'),
('NED', 'Petrol', 'Diesel'),
('NED', 'Postal Code', 'Postcode'),
('NED', 'Postal Code:', 'Postcode:'),
('NED', 'Previous', 'Vorige'),
('NED', 'Print', 'Afdrukken'),
('NED', 'Print Time Cards of a Project by Week', 'Afdrukken tijdregistratie van een project per week'),
('NED', 'Print Time Cards of an Account by Week', 'Afdrukken tijdregistratie voor een Klant per week'),
('NED', 'Print Weekly Report', 'Afdrukken Week rapport'),
('NED', 'Print Weekly Time Card', 'Afdrukken Wekelijkse tijdregistratie'),
('NED', 'Project', 'Project'),
('NED', 'Project Total', 'Project Totaal'),
('NED', 'Project Total Hours', 'Project Totaal Uren'),
('NED', 'Project:', 'Project:'),
('NED', 'Projects', 'Projecten'),
('NED', 'Rate', 'Tarief'),
('NED', 'Refresh', 'Verversen'),
('NED', 'Release', 'Vrijgeven'),
('NED', 'Remove Task From A Project', 'Verwijder Taak van een Project'),
('NED', 'Report To', 'Rapporterend aan'),
('NED', 'Report To Me', 'Aan mij Rapporterend'),
('NED', 'Restore Data', 'Herstellen Data'),
('NED', 'Role', 'Rol'),
('NED', 'Roles', 'Rollen'),
('NED', 'Saturday', 'Zaterdag'),
('NED', 'Search', 'Zoeken'),
('NED', 'Seconds', 'Seconden'),
('NED', 'Sequence on Report', 'Volgorde op het Rapport'),
('NED', 'Sequence on Report:', 'Volgorde op het Rapport:'),
('NED', 'Server response time', 'Server response Tijd'),
('NED', 'Show Criteria', 'Laat Criteria zien'),
('NED', 'Show Criteria:', 'Laat Criteria zien:'),
('NED', 'Spanish', 'Spaans'),
('NED', 'State', 'Provincie'),
('NED', 'State:', 'Provincie:'),
('NED', 'Status', 'Status'),
('NED', 'Submit', 'Doorgeven'),
('NED', 'Submitted', 'Doorgegeven'),
('NED', 'Submitted On', 'Doorgegeven op'),
('NED', 'Sunday', 'Zondag'),
('NED', 'System Administration', 'Systeem Administratie'),
('NED', 'System Configuration', 'Systeem Configuratie'),
('NED', 'Task', 'Taak'),
('NED', 'Tasks', 'Taken'),
('NED', 'Taxi', 'Taxi'),
('NED', 'Thursday', 'Donderdag'),
('NED', 'Time and Expense Management System', 'Tijd and Onkosten Management Systeem'),
('NED', 'Time Details', 'Tijd Details'),
('NED', 'Time Entry', 'Tijd Invoer'),
('NED', 'Time Summary', 'Tijd Overzicht'),
('NED', 'Times', 'Tijden'),
('NED', 'Title', 'Titel'),
('NED', 'To', 'Aan'),
('NED', 'To (W/E)', 'Aan'),
('NED', 'Total', 'Totaal'),
('NED', 'Total Amount', 'Totaal Bedrag'),
('NED', 'Total Hours', 'Totaal Uren'),
('NED', 'Total Project Hours', 'Totaal aan Project Uren'),
('NED', 'Tuesday', 'Dinsdag'),
('NED', 'Undo Invoice', 'Terugdraaien Factuur'),
('NED', 'User', 'Gebruiker'),
('NED', 'User Group', 'Gebruikers Groep'),
('NED', 'User Group:', 'Gebruikers Groep:'),
('NED', 'Users', 'Gebruikers'),
('NED', 'Verified', 'Gecontroleerd'),
('NED', 'Verified On', 'Gecontroleerd Op'),
('NED', 'Wednesday', 'Woensdag'),
('NED', 'Weeekend', 'Weekeinde:'),
('NED', 'Weekend', 'Weekeinde:'),
('NED', 'Weekend:', 'Weekeinde:'),
('NED', 'Weekly', 'Wekelijks'),
('NED', 'Weekly Customer Time Report', 'Wekelijks Customer Tijd Report'),
('NED', 'Weekly Expense Report', 'Wekelijks Onkosten Report'),
('NED', 'Weekly Personal Time Report', 'Wekelijks Personal Tijd Report'),
('NED', 'Weekly Project Time Report', 'Wekelijks Project Tijd Report'),
('NED', 'Weekly Total', 'Wekelijks Totaal'),
('NED', 'Welcome', 'Welkom'),
('NED', 'Work Date', 'Werk Datum'),
('NED', 'Work Date:', 'Werk Datum:'),
('NED', 'Work Location', 'Werk Locatie'),
('NED', 'Work Location:', 'Werk Locatie:'),
('NED', 'Yes', 'Ja'),
('NED', 'YYYY/MM/DD', 'JJJJ/MM/DD'),
		
		
('GER', '-- All --', '-- Alle --'),
('GER', 'About', 'Uber uns'),
('GER', 'Account', 'Konto'),
('GER', 'Account Name', 'Kontoname'),
('GER', 'Account Name:', 'Kontoname:'),
('GER', 'Accounting', 'Buchhaltung'),
('GER', 'Accounts', 'Konten'),
('GER', 'Active', 'Aktiv'),
('GER', 'Actual Hours', 'tatsachliche Stunden'),
('GER', 'Address line 1', 'Adresszeile 1'),
('GER', 'Address line 1:', 'Adresszeile 1:'),
('GER', 'Address line 2', 'Adresszeile 2'),
('GER', 'Address line 2:', 'Adresszeile 2:'),
('GER', 'Air', 'Luft'),
('GER', 'All', 'Alle'),
('GER', 'All projects Total', 'Alle Projekte Gesamt'),
('GER', 'Amount', 'Menge'),
('GER', 'Approve', 'bestatigen'),
('GER', 'Approved', 'bestatigt'),
('GER', 'Assign Role To A Project', 'Rolle einem Projekt zuweisen'),
('GER', 'Assign roles', 'Rollen zuweisen'),
('GER', 'Assign Task To A Project', 'Aufgaben einem Projekt zuweisen'),
('GER', 'Assign tasks', 'Aufgaben zuweisen'),
('GER', 'Assign User to a Project', 'Benutzer einem Projekt zuweisen'),
('GER', 'Assign users', 'Benutzer zuweisen'),
('GER', 'Authorization', 'Berechtigung'),
('GER', 'Authorizations List', 'Berechtigungsliste'),
('GER', 'Back', 'Zuruck'),
('GER', 'Backup Data', 'Backup Daten'),
('GER', 'Bi-Weekly', 'zweiwochentlich'),
('GER', 'Bill Cycle', 'Rechnungszyklus'),
('GER', 'Bill Cycle:', 'Rechnungszyklus:'),
('GER', 'Bill to Account', 'Konot zurechnen'),
('GER', 'Bill to Account::', 'Konto zurechnen:'),
('GER', 'Billable', 'abrechenbar '),
('GER', 'Billable Hours', 'Abrechenbare Stunden'),
('GER', 'Billed', 'abgerechnet'),
('GER', 'Billed Amount', 'abgerechnete Menge'),
('GER', 'Billing Cycle', 'Rechnungszyklus'),
('GER', 'Breakfast', 'Fruhstuck'),
('GER', 'Browse', 'Durchsuchen'),
('GER', 'Browse Account', 'Konto durchsuchen'),
('GER', 'Browse Authorization', 'Authorisierung durchsuchen'),
('GER', 'Browse Expense', 'Ausgaben durchsuchen'),
('GER', 'Browse Expense Detail', 'Ausgabendetails durchsuchen'),
('GER', 'Browse Invoice', 'Rechnungen durchsuchen'),
('GER', 'Browse Literal', 'Symbole durchsuchen'),
('GER', 'Browse Project', 'Projekt durchsuchen'),
('GER', 'Browse Project Role', 'Projektrollen durchsuchen'),
('GER', 'Browse Project Task', 'Projektaufgaben durchsuchen'),
('GER', 'Browse Role', 'Rollen durchsuchen'),
('GER', 'Browse Task', 'Aufgaben durchsuchen'),
('GER', 'Browse Time Card', 'Zeitkarten durchsuchen'),
('GER', 'Browse User', 'Benutzer durchsuchen'),
('GER', 'Car', 'Auto'),
('GER', 'Category', 'Kategorie'),
('GER', 'Change Password', 'Passwort andern'),
('GER', 'Changed At', 'Anderungsdatum'),
('GER', 'Changed By', 'geandert durch'),
('GER', 'City', 'Stadt'),
('GER', 'City:', 'Stadt:'),
('GER', 'Client', 'Kunde'),
('GER', 'Comments', 'Kommentare'),
('GER', 'Comments:', 'Kommentare:'),
('GER', 'Consultant', 'Berater'),
('GER', 'Contact E-mail', 'E-Mail Kontakt'),
('GER', 'Contact E-mail:', 'E-Mail Kontakt:'),
('GER', 'Contact Name', 'Kontaktname'),
('GER', 'Contact Name:', 'Kontaktname:'),
('GER', 'Copy', 'kopieren'),
('GER', 'Copy Expense', 'Ausgaben fur Kopien'),
('GER', 'Copy Expense Detail', 'Ausgabendetails Kopien'),
('GER', 'Copyright', 'Copyright'),
('GER', 'Create', 'anlegen'),
('GER', 'Create Account', 'Konto anlegen'),
('GER', 'Create Authorization', 'Berechtigungen anlegen'),
('GER', 'Create Expense', 'Ausgabe anlegen'),
('GER', 'Create Expense Category', 'Ausgabenkategorie anlegen'),
('GER', 'Create Expense Detail', 'Ausgabendetail anlegen'),
('GER', 'Create Invoice', 'Rechnung legen'),
('GER', 'Create Literal', 'Symbol anlegen'),
('GER', 'Create Project', 'Projekt anlegen'),
('GER', 'Create Role', 'Rolle anlegen'),
('GER', 'Create Task', 'Aufgabe anlegen'),
('GER', 'Create Time Card', 'Zeitkarte anlegen'),
('GER', 'Create User', 'Benutzer anlegen'),
('GER', 'Created At', 'Erstellungsdatum'),
('GER', 'Created By', 'Ersteller'),
('GER', 'Created On', 'Erstellt am'),
('GER', 'Customer', 'Kunde'),
('GER', 'Date', 'Datum'),
('GER', 'Date Format', 'Datumsformat'),
('GER', 'DD/MM/YYYY', 'TT/MM/JJJJ'),
('GER', 'Delete', 'loschen'),
('GER', 'Delete Account', 'Konto loschen'),
('GER', 'Delete Expense', 'Ausgabe loschen'),
('GER', 'Delete Expense Detail', 'Ausgabendetail loschen'),
('GER', 'Delete Project', 'Projekt loschen'),
('GER', 'Delete Task', 'Aufgabe loschen'),
('GER', 'Delete Time Card', 'Zeitkarte loschen'),
('GER', 'Delete User', 'Benutzer loschen'),
('GER', 'Description', 'Beschreibung'),
('GER', 'Dinner', 'Abendessen'),
('GER', 'Edit', 'bearbeiten'),
('GER', 'Edit Account', 'Konot bearbeiten'),
('GER', 'Edit Authorization', 'Authorisierung bearbeiten'),
('GER', 'Edit Expense', 'Ausgaben bearbeiten'),
('GER', 'Edit Expense Detail', 'Ausgabendetail bearbeiten'),
('GER', 'Edit Project', 'Projekt bearbeiten'),
('GER', 'Edit Project Role', 'Projektrolle bearbeiten'),
('GER', 'Edit Project Task', 'Projektaufgabe bearbeiten'),
('GER', 'Edit Role', 'Rolle bearbeiten'),
('GER', 'Edit Task', 'Aufgabe bearbeiten'),
('GER', 'Edit User', 'Benutzer bearbeiten'),
('GER', 'Email Address', 'E-Mail Adresse'),
('GER', 'English', 'Englisch'),
('GER', 'Entered', 'Eingegeben'),
('GER', 'Expense', 'Ausgabe'),
('GER', 'Expense Categories', 'Ausgabenkategorien'),
('GER', 'Expense Category', 'Ausgabenkategorie'),
('GER', 'Expense Date', 'Ausgabendatum'),
('GER', 'Expense Details', 'Ausgabendetail'),
('GER', 'Expense Entry', 'Ausgabeneingang'),
('GER', 'Expense Summary', 'Ausgabenuberblick'),
('GER', 'Expenses', 'Ausgaben  '),
('GER', 'Fortnightly', 'zweiwochentlich'),
('GER', 'French', 'franzosisch'),
('GER', 'Friday', 'Freitag'),
('GER', 'From', 'von'),
('GER', 'Full name', 'Name'),
('GER', 'Gas', 'Gas'),
('GER', 'Go Back', 'Zuruck'),
('GER', 'Grand Total Hours', 'Gesamtstunden'),
('GER', 'Group', 'Gruppe'),
('GER', 'Held (sorry i need the context to translate this properly)', 'gehalten'),
('GER', 'History', 'Verlauf'),
('GER', 'Hotel', 'Hotel'),
('GER', 'Hours', 'Stunden'),
('GER', 'Inactive', 'Inaktiv'),
('GER', 'Invoice', 'Rechnung  '),
('GER', 'Invoice Amount', 'Rechnungsbetrag'),
('GER', 'Invoice Total', 'Gesamtbetrag'),
('GER', 'Invoiced', 'berechnet'),
('GER', 'Invoiced On', 'abgerechnet auf'),
('GER', 'invoices', 'Rechnungen  '),
('GER', 'Is Mileage?', 'Kilometerleistung?'),
('GER', 'Is Mileage?:', 'Kilometerleistung?:'),
('GER', 'Italian', 'Italienisch'),
('GER', 'Join Date', 'Beitrittsdatum'),
('GER', 'Kilometer', 'Kilometer '),
('GER', 'Kilometers', 'Kilometer '),
('GER', 'Language', 'Sprache'),
('GER', 'Last Billed On', 'Zuletzt abgerechnet'),
('GER', 'Leave this field blank to print time report for all projects that you have worked on.', 'Bitte Feld frei lassen um einen Zeitbericht fur alle Projekte zu drucken an denen Sie gearbeitet haben.'),
('GER', 'List', 'Liste'),
('GER', 'List Account', 'Konto auflisten'),
('GER', 'List Accounts', 'Konten auflisten'),
('GER', 'List Authorizations', 'Authorisierungen auflisten'),
('GER', 'List Expense Categories', 'Ausgabenkategorien auflisten'),
('GER', 'List Expense Detail', 'Ausgabendetail auflisten'),
('GER', 'List Expense Details', 'Ausgabendetails auflisten'),
('GER', 'List Expenses', 'Ausgaben auflisten'),
('GER', 'List Invoices', 'Rechnungen auflisten'),
('GER', 'List Projects', 'Projekte auflisten'),
('GER', 'List Roles', 'Rollen auflisten'),
('GER', 'List Roles of a Project', 'Projektrollen auflisten'),
('GER', 'List Summary', 'Zusammenfassung'),
('GER', 'List Tasks', 'Aufgaben auflisten'),
('GER', 'List Tasks of a Project', 'Projektaufgaben auflisten'),
('GER', 'List Time Cards', 'Zeitkarten auflisten'),
('GER', 'List Time Cards by Week', 'Zeitkarten nach Wochen sortieren'),
('GER', 'List Users', 'Benutzer auflisten'),
('GER', 'List Users in a Project', 'Projektmitglieder auflisten'),
('GER', 'Location', 'Ort'),
('GER', 'Location:', 'Ort:'),
('GER', 'Login', 'Login'),
('GER', 'Logout', 'Logout'),
('GER', 'Lunch', 'Mittagessen'),
('GER', 'Mile', 'Meile'),
('GER', 'Mileage', 'Kilometerleistung '),
('GER', 'Mileage Rate', 'Kosten pro Kilometer'),
('GER', 'Mileage Rate:', 'Kosten pro Kilometer:'),
('GER', 'Miles', 'Meilen'),
('GER', 'MM/DD/YYYY', 'MM/TT/JJJJ'),
('GER', 'Modified By', 'geandert von'),
('GER', 'Modified On', 'geandert am'),
('GER', 'Monday', 'Montag'),
('GER', 'Monthly', 'monatlich'),
('GER', 'My Expense', 'Meine Ausgaben'),
('GER', 'My Group', 'Meine Gruppe'),
('GER', 'My Time', 'Meine Zeiten'),
('GER', 'Name', 'Name'),
('GER', 'Next', 'Nachste'),
('GER', 'Next Action', 'Nachste Aktion'),
('GER', 'No', 'Nein'),
('GER', 'Non-billable', 'Nicht abrechenbare  '),
('GER', 'Non-Billable Hours', 'Nicht abrechenbare Stunden'),
('GER', 'None', 'Keinen'),
('GER', 'On Hold', 'in Warteschleife'),
('GER', 'Open', 'offen'),
('GER', 'Own', 'eigene'),
('GER', 'Parking', 'parken'),
('GER', 'Password', 'Passwort  '),
('GER', 'Period', 'Periode'),
('GER', 'Petrol', 'Benzin'),
('GER', 'Postal Code', 'Postleitzahl'),
('GER', 'Postal Code:', 'Postleitzahl:'),
('GER', 'Previous', 'vorherige'),
('GER', 'Print', 'drucken'),
('GER', 'Print Time Cards of a Project by Week', 'Zeitkarten eines Projekts nach Wochen ausdrucken'),
('GER', 'Print Time Cards of an Account by Week', 'Zeitkarten eines Kontos nach Wochen ausdrucken'),
('GER', 'Print Weekly Report', 'Wochenreport drucken'),
('GER', 'Print Weekly Time Card', 'Zeitkarte nach Wochen drucken'),
('GER', 'Project', 'Projekt '),
('GER', 'Project Total', 'Gesamtprojekt'),
('GER', 'Project Total Hours', 'Gesamtprojektstunden'),
('GER', 'Project:', 'Projekt:'),
('GER', 'Projects', 'Projekte  '),
('GER', 'Rate', 'Kurs '),
('GER', 'Refresh', 'aktualisieren'),
('GER', 'Release', 'auslosen'),
('GER', 'Remove Task From A Project', 'Aufgabe aus dem Projekt entfernen'),
('GER', 'Report To', 'berichten an'),
('GER', 'Report To Me', 'an mich berichten'),
('GER', 'Restore Data', 'Daten wiederherstellen'),
('GER', 'Role', 'Rolle  '),
('GER', 'Roles', 'Rollen  '),
('GER', 'Saturday', 'Samstag'),
('GER', 'Search', 'suchen'),
('GER', 'Seconds', 'Sekunden'),
('GER', 'Sequence on Report', 'Reportabfolge'),
('GER', 'Sequence on Report:', 'Reportabfolge:'),
('GER', 'Server response time', 'Server response time'),
('GER', 'Show Criteria', 'Kriterien anzeigen'),
('GER', 'Show Criteria:', 'Kriterien anzeigen:'),
('GER', 'Spanish', 'spanisch'),
('GER', 'State', 'Bundesland'),
('GER', 'State:', 'Bundesland:'),
('GER', 'Status', 'Status'),
('GER', 'Submit', 'senden'),
('GER', 'Submitted', 'gesendet'),
('GER', 'Submitted On', 'gesendet am'),
('GER', 'Sunday', 'Sonntag'),
('GER', 'System Administration', 'Systemadministration'),
('GER', 'System Configuration', 'Systemkonfiguration'),
('GER', 'Task', 'Aufgabe  '),
('GER', 'Tasks', 'Aufgaben  '),
('GER', 'Taxi', 'Taxi'),
('GER', 'Thursday', 'Donnerstag'),
('GER', 'Time and Expense Management System', 'Zeit- und Ausgabenmanagementsystem'),
('GER', 'Time Details', 'Zeit details'),
('GER', 'Time Entry', 'Zeiteingabe'),
('GER', 'Time Summary', 'Gesamtzeit'),
('GER', 'Times', 'Zeiten'),
('GER', 'Title', 'Titel'),
('GER', 'To', 'zu '),
('GER', 'To (W/E)', 'zu '),
('GER', 'Total', 'Gesamt '),
('GER', 'Total Amount', 'Gesamtbetrag'),
('GER', 'Total Hours', 'Gesamtstunden'),
('GER', 'Total Project Hours', 'Gesamtprojektstunden'),
('GER', 'Tuesday', 'Dienstag'),
('GER', 'Undo Invoice', 'Rechnung ruckgangig machen'),
('GER', 'User', 'Benutzer  '),
('GER', 'User Group', 'Benutzergruppe'),
('GER', 'User Group:', 'Benutzergruppe:'),
('GER', 'Users', 'Benutzer  '),
('GER', 'Verified', 'bestatigt'),
('GER', 'Verified On', 'bestatigt am'),
('GER', 'Wednesday', 'Mittwoch'),
('GER', 'Weeekend', 'Wochenende'),
('GER', 'Weekend', 'Wochenende'),
('GER', 'Weekend:', 'Wochenende:'),
('GER', 'Weekly', 'wochentlich'),
('GER', 'Weekly Customer Time Report', 'wochentlicher Kundenzeitbericht'),
('GER', 'Weekly Expense Report', 'wochentlicher Ausgabenbericht'),
('GER', 'Weekly Personal Time Report', 'wochentlicher Personalzeitbericht'),
('GER', 'Weekly Project Time Report', 'wochentlicher Projektzeitbericht'),
('GER', 'Weekly Total', 'wochentliche Zusammenfassung'),
('GER', 'Welcome', 'Willkommen'),
('GER', 'Work Date', 'Arbeitsdatum'),
('GER', 'Work Date:', 'Arbeitsdatum:'),
('GER', 'Work Location', 'Arbeitsort'),
('GER', 'Work Location:', 'Arbeitsort:'),
('GER', 'Yes', 'Ja'),
('GER', 'YYYY/MM/DD', 'JJJJ/MM/TT')		
"),

"human_readable_codes" => array(
		"fields" => ("level, system, code, code_value, code_hr, appearance_order"),
		"values" => "
(0,'*','accounts_status','10','Active',10),
(0,'*','accounts_status','90','Inactive',90),
(0,'*','charges_status','10','Entered',10),
(0,'*','charges_status','20','Submitted',20),
(0,'*','charges_status','30','Approved',30),
(0,'*','charges_status','80','Held',80),
(0,'*','charges_status','90','Invoiced',90),
(0,'*','expensecategories_ismileage','0','No',20),
(0,'*','expensecategories_ismileage','1','Yes',10),
(0,'*','expensecategories_status','10','Active',10),
(0,'*','expensecategories_status','90','Inactive',90),
(0,'*','expenseheaders_status','10','Entered',10),
(0,'*','expenseheaders_status','20','Submitted',20),
(0,'*','expenseheaders_status','30','Verfied',30),
(0,'*','expenseheaders_status','80','Held',80),
(0,'*','expenseheaders_status','90','Invoiced',90),
(0,'*','generic_yes_no','0','No',0),
(0,'*','generic_yes_no','1','Yes',1),
(0,'*','invoiceheaders_status','10','Open',10),
(0,'*','invoiceheaders_status','90','Invoiced',90),
(0,'*','projects_billcycle','Bi-Weekly','Bi-Weekly',20),
(0,'*','projects_billcycle','Fortnightly','Fortnightly',30),
(0,'*','projects_billcycle','Monthly','Monthly',40),
(0,'*','projects_billcycle','Weekly','Weekly',10),
(0,'*','projects_status','10','Active',10),
(0,'*','projects_status','90','Inactive',90),
(0,'*','projects_users_status','10','Active',10),
(0,'*','projects_users_status','90','Inactive',90),
(0,'*','projects_users_tasks_status','10','Active',10),
(0,'*','projects_users_tasks_status','90','Inactive',90),
(0,'*','tasks_status','10','Active',10),
(0,'*','tasks_status','90','Inactive',90),
(0,'*','timesbyweekend_loweststatus','10','Entered',10),
(0,'*','timesbyweekend_loweststatus','20','Submitted',20),
(0,'*','timesbyweekend_loweststatus','30','Approved',30),
(0,'*','timesbyweekend_loweststatus','80','Held',80),
(0,'*','timesbyweekend_loweststatus','90','Invoiced',90),
(0,'*','times_status','10','Entered',10),
(0,'*','times_status','20','Submitted',20),
(0,'*','times_status','30','Approved',30),
(0,'*','times_status','80','Held',80),
(0,'*','times_status','90','Invoiced',90),
(0,'*','users_dateformat','DMY','DD/MM/YYYY',20),
(0,'*','users_dateformat','MDY','MM/DD/YYYY',10),
(0,'*','users_language','ENG','English',10),
(0,'*','users_language','ITA','Italian',20),
(0,'*','users_language','NED','Dutch',30),
(0,'*','users_language','SPN','Spanish',40),
(0,'*','users_language','GER','German',50),
(0,'*','users_status','10','Active',10),
(0,'*','users_status','90','Inactive',90),
(0,'*','users_debuglevel','0','None',0),
(0,'*','users_debuglevel','1','Low',1),
(0,'*','users_debuglevel','2','Medium',2),
(0,'*','users_debuglevel','3','Hign',3),
(0,'*','users_dbtracelevel','0','None',0),
(0,'*','users_dbtracelevel','1','Low',1),
(0,'*','users_dbtracelevel','2','Medium',2),
(0,'*','users_dbtracelevel','3','Hign',3),
(0,'*','_weekday','0','Sunday',0),
(0,'*','_weekday','1','Monday',1),
(0,'*','_weekday','2','Tuesday',2),
(0,'*','_weekday','3','Wednesday',3),
(0,'*','_weekday','4','Thursday',4),
(0,'*','_weekday','5','Friday',5),
(0,'*','_weekday','6','Saturday',6)

"),
		
		
"programtransactions" => array(
	"fields" => ("programtransactions_id, label, url, createat, createby, changeby"),
	"values" => "
(1,'Main Master Menu',NULL,now(),'*SYSTEM','*SYSTEM'),
(2,'Company','index.php?action=BrowseCompany&uid=1',now(),'*SYSTEM','*SYSTEM'),
(5,'Time, Expense and Charge',NULL,now(),'*SYSTEM','*SYSTEM'),
(7,'System Setup',NULL,now(),'*SYSTEM','*SYSTEM'),
(8,'Program Entries','index.php?action=ListProgramTransaction',now(),'*SYSTEM','*SYSTEM'),
(9,'Menu Entries','index.php?action=ListMenu',now(),'*SYSTEM','*SYSTEM'),
(11,'Create Time Card','index.php?action=BrowseTimeCard',now(),'*SYSTEM','*SYSTEM'),
(12,'Create Expense','index.php?action=BrowseExpenseHeader',now(),'*SYSTEM','*SYSTEM'),
(13,'Usage','index.php?action=Usage',now(),'*SYSTEM','*SYSTEM'),
(14,'Admin Process','index.php?action=AdminProcessUsage',now(),'*SYSTEM','*SYSTEM'),
(15,'Help',NULL,now(),'*SYSTEM','*SYSTEM'),
(16,'Users','index.php?action=ListUser',now(),'*SYSTEM','*SYSTEM'),
(17,'Accounts','index.php?action=ListAccount',now(),'*SYSTEM','*SYSTEM'),
(18,'Projects','index.php?action=ListProject',now(),'*SYSTEM','*SYSTEM'),
(19,'Invoices','index.php?action=ListInvoice',now(),'*SYSTEM','*SYSTEM'),
(20,'Time Entry',NULL,now(),'*SYSTEM','*SYSTEM'),
(21,'List Charges','index.php?action=ListCharge',now(),'*SYSTEM','*SYSTEM'),
(22,'List Expense Entries','index.php?action=ListExpenseHeader',now(),'*SYSTEM','*SYSTEM'),
(23,'System Administration',NULL,now(),'*SYSTEM','*SYSTEM'),
(24,'System Configuration',NULL,now(),'*SYSTEM','*SYSTEM'),
(30,'List Time Cards','index.php?action=ListTime',now(),'*SYSTEM','*SYSTEM'),
(32,'List Weekly Time','index.php?action=ListWeeklyTime',now(),'*SYSTEM','*SYSTEM'),
(33,'Print Timesheet','index.php?action=CUEUserWeeklyTimeSheet',now(),'*SYSTEM','*SYSTEM'),
(38,'About','index.php?action=About',now(),'*SYSTEM','*SYSTEM'),
(39,'Register','index.php?action=RegisterApps',now(),'*SYSTEM','*SYSTEM'),
(40,'Backup Data','index.php?action=BackupDatabase',now(),'*SYSTEM','*SYSTEM'),
(41,'Restore Data','index.php?action=RestoreDatabase',now(),'*SYSTEM','*SYSTEM'),
(42,'Manage Literals','index.php?action=ListLiteral',now(),'*SYSTEM','*SYSTEM'),
(43,'Manage Messages','index.php?action=ListMessage',now(),'*SYSTEM','*SYSTEM'),
(44,'Tasks','index.php?action=ListTask',now(),'*SYSTEM','*SYSTEM'),
(45,'Expense Categories','index.php?action=ListExpenseCategory',now(),'*SYSTEM','*SYSTEM'),
(46,'Authorizations','index.php?action=ListAuthorizationList',now(),'*SYSTEM','*SYSTEM'),
(47,'Show History','index.php?action=ShowHistory',now(),'*SYSTEM','*SYSTEM'),
(51,'Create Charge','index.php?action=BrowseCharge',now(),'*SYSTEM','*SYSTEM'),
(52,'Regular User Menu','',now(),'*SYSTEM','*SYSTEM')
"),
		

"menu" => array(
	"fields" => ("`u_menu_id`, `parent_menu_id`, `menu_id`, `programtransactions_id`, `order`, `createat`, `createby`, `changeby`"),
	"values" => "
(01,NULL,1,1,2,now(),'*SYSTEM','*SYSTEM'),
(02,NULL,2,20,3,now(),'*SYSTEM','*SYSTEM'),
(03,NULL,3,23,4,now(),'*SYSTEM','*SYSTEM'),
(04,NULL,4,24,5,now(),'*SYSTEM','*SYSTEM'),
(05,NULL,5,15,7,now(),'*SYSTEM','*SYSTEM'),
(07,05,09,39,2,now(),'*SYSTEM','*SYSTEM'),
(08,05,10,13,3,now(),'*SYSTEM','*SYSTEM'),
(09,05,11,14,4,now(),'*SYSTEM','*SYSTEM'),
(10,04,13,8,5,now(),'*SYSTEM','*SYSTEM'),
(11,04,14,9,6,now(),'*SYSTEM','*SYSTEM'),
(12,04,15,46,2,now(),'*SYSTEM','*SYSTEM'),
(13,04,16,2,1,now(),'*SYSTEM','*SYSTEM'),
(14,04,17,45,3,now(),'*SYSTEM','*SYSTEM'),
(15,04,18,44,4,now(),'*SYSTEM','*SYSTEM'),
(16,02,24,32,2,now(),'*SYSTEM','*SYSTEM'),
(17,02,25,30,3,now(),'*SYSTEM','*SYSTEM'),
(18,02,26,33,4,now(),'*SYSTEM','*SYSTEM'),
(19,03,27,40,1,now(),'*SYSTEM','*SYSTEM'),
(20,03,28,41,2,now(),'*SYSTEM','*SYSTEM'),
(21,03,29,42,3,now(),'*SYSTEM','*SYSTEM'),
(22,03,30,43,4,now(),'*SYSTEM','*SYSTEM'),
(23,05,31,38,5,now(),'*SYSTEM','*SYSTEM'),
(30,01,3,23,3,now(),'*SYSTEM','*SYSTEM'),
(32,01,4,24,4,now(),'*SYSTEM','*SYSTEM'),
(33,01,5,15,5,now(),'*SYSTEM','*SYSTEM'),
(34,02,33,11,1,now(),'*SYSTEM','*SYSTEM'),
(35,NULL,34,7,6,now(),'*SYSTEM','*SYSTEM'),
(38,NULL,37,5,1,now(),'*SYSTEM','*SYSTEM'),
(39,37,38,11,1,now(),'*SYSTEM','*SYSTEM'),
(40,37,39,12,2,now(),'*SYSTEM','*SYSTEM'),
(41,37,40,51,3,now(),'*SYSTEM','*SYSTEM'),
(42,37,41,32,4,now(),'*SYSTEM','*SYSTEM'),
(43,37,42,30,5,now(),'*SYSTEM','*SYSTEM'),
(44,37,43,22,6,now(),'*SYSTEM','*SYSTEM'),
(45,37,44,21,7,now(),'*SYSTEM','*SYSTEM'),
(46,01,37,05,1,now(),'*SYSTEM','*SYSTEM'),
(47,34,45,17,1,now(),'*SYSTEM','*SYSTEM'),
(48,34,46,18,2,now(),'*SYSTEM','*SYSTEM'),
(49,01,34,07,2,now(),'*SYSTEM','*SYSTEM'),
(50,34,47,16,4,now(),'*SYSTEM','*SYSTEM'),
(51,34,48,19,3,now(),'*SYSTEM','*SYSTEM'),
(52,37,49,33,8,now(),'*SYSTEM','*SYSTEM'),
(53,05,51,47,1,now(),'*SYSTEM','*SYSTEM'),
(54,NULL,52,52,1,now(),'*SYSTEM','*SYSTEM'),
(57,52,37,5,1,now(),'*SYSTEM','*SYSTEM'),
(58,52,5,15,2,now(),'*SYSTEM','*SYSTEM'),
(59,3,53,39,5,now(),'*SYSTEM','*SYSTEM')
"),

"actionregistry" => array(
	"fields" => ("action, businessobject, actionauthority, viewfile, modelfile"),
	"values" => "
('About','*NONE','*ALL','misc/view/About.php',''),
('AdminProcessUsage','*NONE','*ALL','misc/view/AdminUsage.php',''),
('ApproveCharge','Charge','Approve','','charges/model/UpdateBO.php'),
('ApproveTimeCard','Time','Approve','','times/model/UpdateBO.php'),
('ApproveWeeklyTime','Time','Approve','times/view/ViewSummary.php','times/model/UpdateBO.php'),
('BackupDatabase','Database','Backup','misc/view/Backup.php','misc/model/UpdateBO.php'),
('BrowseAccount','Account','Browse','accounts/view/View.php',NULL),
('BrowseAuthorizationList','Authorization','Browse','authorizations/view/View.php',NULL),
('BrowseCharge','Charge','Browse','charges/view/View.php',NULL),
('BrowseCompany','Company','Browse','company/view/View.php',NULL),
('BrowseExpenseCategory','ExpenseCategory','Browse','expensecategories/view/View.php',NULL),
('BrowseExpenseDetail','Expense','Browse','expensedetails/view/View.php',NULL),
('BrowseExpenseHeader','Expense','Browse','expenseheaders/view/View.php',NULL),
('BrowseInvoice','Invoice','Browse','invoices/view/View.php',NULL),
('BrowseLiteral','Literal','Browse','literals/view/View.php',NULL),
('BrowseMessage','Message','Browse','messages/view/View.php',NULL),
('BrowseProgramTransaction','ProgramTransaction','Browse','programtransactions/view/View.php',NULL),
('BrowseProject','Project','Browse','projects/view/View.php',NULL),
('BrowseProjectUser','ProjectUser','Browse','projectusers/view/View.php',NULL),
('BrowseProjectUserTask','ProjectUserTask','Browse','projectusertasks/view/View.php',NULL),
('BrowseTask','Task','Browse','tasks/view/View.php',NULL),
('BrowseTimeCard','Time','Browse','times/view/View.php',NULL),
('BrowseUser','User','Browse','users/view/View.php',NULL),
('ChangeUserPassword','User','ChangePassword','','users/model/UpdateBO.php'),
('CompleteRegistration','Application','*ALL','selfregistration/view/View.php','selfregistration/model/UpdateBO.php'),
('CreateAccount','Account','Create','accounts/view/View.php','accounts/model/UpdateBO.php'),
('CreateAuthorizationList','Authorization','Create','authorizations/view/View.php','authorizations/model/UpdateBO.php'),
('CreateCharge','Charge','Create','charges/view/View.php','charges/model/UpdateBO.php'),
('CreateCompany','Company','Create','company/view/View.php','company/model/UpdateBO.php'),
('CreateExpenseCategory','ExpenseCategory','Create','expensecategories/view/View.php','expensecategories/model/UpdateBO.php'),
('CreateExpenseDetail','Expense','Create','expensedetails/view/View.php','expensedetails/model/UpdateBO.php'),
('CreateExpenseHeader','Expense','Create','expenseheaders/view/View.php','expenseheaders/model/UpdateBO.php'),
('CreateInvoice','Invoice','Create','','invoices/model/UpdateBO.php'),
('CreateLiteral','Literal','Create','literals/view/View.php','literals/model/UpdateBO.php'),
('CreateMessage','Message','Create','messages/view/View.php','messages/model/UpdateBO.php'),
('CreateProgramTransaction','ProgramTransaction','Create','programtransactions/view/View.php','programtransactions/model/UpdateBO.php'),
('CreateProject','Project','Create','projects/view/View.php','projects/model/UpdateBO.php'),
('CreateProjectUser','ProjectUser','Create','projectusers/view/View.php','projectusers/model/UpdateBO.php'),
('CreateProjectUserTask','ProjectUserTask','Create','projectusertasks/view/View.php','projectusertasks/model/UpdateBO.php'),
('CreateTask','Task','Create','tasks/view/View.php','tasks/model/UpdateBO.php'),
('CreateTimeCard','Time','Create','times/view/View.php','times/model/UpdateBO.php'),
('CreateUser','User','Create','users/view/View.php','users/model/UpdateBO.php'),
('CUEUserWeeklyTimeSheet','Time','Print','times/view/Print.php',NULL),
('DeleteAccount','Account','Delete','','accounts/model/UpdateBO.php'),
('DeleteAuthorizationList','Authorization','Delete','','authorizations/model/UpdateBO.php'),
('DeleteCharge','Charge','Delete','','charges/model/UpdateBO.php'),
('DeleteExpenseCategory','ExpenseCategory','Delete','','expensecategories/model/UpdateBO.php'),
('DeleteExpenseDetail','Expense','Delete','','expensedetails/model/UpdateBO.php'),
('DeleteExpenseHeader','Expense','Delete','','expenseheaders/model/UpdateBO.php'),
('DeleteLiteral','Literal','Delete','','literals/model/UpdateBO.php'),
('DeleteMessage','Message','Delete','','messages/model/UpdateBO.php'),
('DeleteProgramTransaction','ProgramTransaction','Delete','','programtransactions/model/UpdateBO.php'),
('DeleteProject','Project','Delete','','projects/model/UpdateBO.php'),
('DeleteProjectUser','ProjectUser','Delete','','projectusers/model/UpdateBO.php'),
('DeleteProjectUserTask','ProjectUserTask','Delete','','projectusertasks/model/UpdateBO.php'),
('DeleteTask','Task','Delete','','tasks/model/UpdateBO.php'),
('DeleteTimeCard','Time','Delete','','times/model/UpdateBO.php'),
('DeleteUser','User','Delete','','users/model/UpdateBO.php'),
('EditAccount','Account','Edit','','accounts/model/UpdateBO.php'),
('EditAuthorizationList','Authorization','Edit','','authorizations/model/UpdateBO.php'),
('EditCharge','Charge','Edit','','charges/model/UpdateBO.php'),
('EditCompany','Company','Edit','','company/model/UpdateBO.php'),
('EditExpenseCategory','ExpenseCategory','Edit','','expensecategories/model/UpdateBO.php'),
('EditExpenseDetail','Expense','Edit','','expensedetails/model/UpdateBO.php'),
('EditExpenseHeader','Expense','Edit','','expenseheaders/model/UpdateBO.php'),
('EditLiteral','Literal','Edit','','literals/model/UpdateBO.php'),
('EditMessage','Message','Edit','','messages/model/UpdateBO.php'),
('EditProgramTransaction','ProgramTransaction','Edit','','programtransactions/model/UpdateBO.php'),
('EditProject','Project','Edit','','projects/model/UpdateBO.php'),
('EditProjectUser','ProjectUser','Edit','','projectusers/model/UpdateBO.php'),
('EditProjectUserTask','ProjectUserTask','Edit','','projectusertasks/model/UpdateBO.php'),
('EditTask','Task','Edit','','tasks/model/UpdateBO.php'),
('EditTimeCard','Time','Edit','','times/model/UpdateBO.php'),
('EditUser','User','Edit','','users/model/UpdateBO.php'),
('HoldCharge','Charge','Hold','','charges/model/UpdateBO.php'),
('HoldExpenseHeader','Expense','Hold','','expenseheaders/model/UpdateBO.php'),
('HoldTimeCard','Time','Hold','','times/model/UpdateBO.php'),
('ListAccount','Account','List','accounts/view/List.php',NULL),
('ListAuthorizationList','Authorization','List','authorizations/view/List.php',NULL),
('ListCharge','Charge','List','charges/view/List.php','charges/model/GetList.php'),
('ListExpenseCategory','ExpenseCategory','List','expensecategories/view/List.php',NULL),
('ListExpenseDetail','Expense','List','expensedetails/view/List.php','expensedetails/model/GetList.php'),
('ListExpenseHeader','Expense','List','expenseheaders/view/List.php','expenseheaders/model/GetList.php'),
('ListInvoice','Invoice','List','invoices/view/List.php','invoices/model/GetList.php'),
('ListLiteral','Literal','List','literals/view/List.php',NULL),
('ListMenu','Menu','List','menu/view/List.php',NULL),
('ListMessage','Message','List','messages/view/List.php',NULL),
('ListProgramTransaction','ProgramTransaction','List','programtransactions/view/List.php',NULL),
('ListProject','Project','List','projects/view/List.php',NULL),
('ListProjectUser','ProjectUser','List','projectusers/view/List.php',NULL),
('ListProjectUserTask','ProjectUserTask','List','projectusertasks/view/List.php',NULL),
('ListTask','Task','List','tasks/view/List.php',NULL),
('ListTime','Time','List','times/view/List.php','times/model/GetList.php'),
('ListWeeklyTime','Time','ListSummary','times/view/ListSummary.php','times/model/GetSummaryList.php'),
('ListUser','User','List','users/view/List.php',NULL),
('Login','Application','*ALL','login/view/Login.php',''),
('PrintAccountWeeklyTimeSheet','Account','Print','accounts/report/WeeklyTimeSheet.php','accounts/model/UpdateBO.php'),
('PrintExpenseReport','Expense','Print','expenseheaders/report/ExpenseReport.php','expenseheaders/model/UpdateBO.php'),
('PrintExpenseReportWithReceipt','Expense','Print','expenseheaders/report/ExpenseReport.php','expenseheaders/model/UpdateBO.php'),
('PrintInvoice','Invoice','Print','invoices/report/InvoiceReport.php','invoices/model/UpdateBO.php'),
('PrintInvoiceWithReceipt','Invoice','Print','invoices/report/InvoiceReport.php','invoices/model/UpdateBO.php'),
('PrintProjectWeeklyTimeSheet','Project','Print','projects/report/WeeklyTimeSheet.php','projects/model/UpdateBO.php'),
('PrintUserWeeklyTimeSheet','Time','Print','times/report/WeeklyTimeSheet.php','times/model/UpdateBO.php'),
('RegisterApps','Application','*ALL','misc/view/Register.php','misc/model/UpdateBO.php'),
('ReleaseCharge','Charge','Release','','charges/model/UpdateBO.php'),
('ReleaseExpenseHeader','Expense','Release','','expenseheaders/model/UpdateBO.php'),
('ReleaseTimeCard','Time','Release','','times/model/UpdateBO.php'),
('RestoreDatabase','Database','Restore','misc/view/Restore.php','misc/model/UpdateBO.php'),
('ShowGetupPage','*NONE','*ALL','misc/view/GetupPage.php',''),
('ShowHistory','*NONE','*ALL','misc/view/History.php',''),
('SubmitCharge','Charge','Submit','','charges/model/UpdateBO.php'),
('SubmitExpenseHeader','Expense','Submit','','expenseheaders/model/UpdateBO.php'),
('SubmitTimeCard','Time','Submit','','times/model/UpdateBO.php'),
('SubmitWeeklyTime','Time','Submit','times/view/ViewSummary.php','times/model/UpdateBO.php'),
('UndoInvoice','Invoice','Undo','','invoices/model/UpdateBO.php'),
('Usage','*NONE','*ALL','misc/view/Usage.php',''),
('VerifyExpenseHeader','Expense','Verify','','expenseheaders/model/UpdateBO.php')
		
"),
		
"expensecategories" => array(
	"fields" => ("expensecategories_id, description, seq, ismileage, mileagerate, status,
			createat, createby, changeat, changeby"),
	"values" => "
('AIR', 'Air Fare', 5, '0', 0.00, '10', now(), 'admin', now(), 'admin'),
('AIR+HOTEL', 'Air and Hotel Combined', 6, '0', 0.00, '10', now(), 'admin', now(), 'admin'),
('AIR+HOTEL+CAR', 'Air, Hotel and Car Combined', 7, '0', 0.00, '10', now(), 'admin', now(), 'admin'),
('BREAKFAST', 'Breakfast', 35, '0', 0.00, '10', now(), 'admin', now(), 'admin'),
('CAR', 'Rental Car', 15, '0', 0.00, '10', now(), 'admin', now(), 'admin'),
('DINNER', 'Dinner', 45, '0', 0.00, '10', now(), 'admin', now(), 'admin'),
('GAS', 'Gas for Rental Car', 20, '0', 0.00, '10', now(), 'admin', now(), 'admin'),
('HOTEL', 'Hotel Charge', 10, '0', 0.00, '10', now(), 'admin', now(), 'admin'),
('LUNCH', 'Lunch', 40, '0', 0.00, '10', now(), 'admin', now(), 'admin'),
('MILEAGE', 'Mileage', 21, '1', 0.50, '10', now(), 'admin', now(), 'admin'),
('Mileage Canada', 'Mileage', 36, '1', 1.20, '10', now(), 'admin', now(), 'admin'),
('MISC', 'Miscellaneous', 99, '0', 0.00, '10', now(), 'admin', now(), 'admin'),
('PARKING', 'Parking Fee', 25, '0', 0.00, '10', now(), 'admin', now(), 'admin'),
('PERDIEM', 'Per Diem', 30, '0', 0.00, '10', now(), 'admin', now(), 'admin'),
('TOLL', 'Toll Charges', 27, '0', 0.00, '10', now(), 'admin', now(), 'admin')
"),
		
"tasks" => array (
	"fields" => ("tasks_id, name, description, status, createat, createby, changeat, changeby"),
	"values" => "
('BSD', 'Business Development', 'Business Development, Sales and Marketing Activities', '10', now(), 'admin', now(), 'admin'),
('DOC', 'Documentation', 'Documentation', '10', now(), 'admin', now(), 'admin'),
('MET', 'Meeting', 'Meeting', '10', now(), 'admin', now(), 'admin'),
('PJM', 'Project Management', 'Project Management', '10', now(), 'admin', now(), 'admin'),
('QAT', 'Quality Testing', 'Quality Testing', '10', now(), 'admin', now(), 'admin'),
('SAN', 'System Analysis', 'System Analysis', '10', now(), 'admin', now(), 'admin'),
('SWD', 'Software Development', 'Software Development', '10', now(), 'admin', now(), 'admin'),
('SYD', 'System Design', 'System Design', '10', now(), 'admin', now(), 'admin'),
('TCO', 'Technical Consulting', 'Technical Consulting', '10', now(), 'admin', now(), 'admin'),
('TRN', 'Giving Training', 'Giving Training', '10', now(), 'admin', now(), 'admin'),
('TRV', 'Travel', 'Travel', '10', now(), 'admin', now(), 'admin')
"),
		
"authorizationlists" => array (
	"fields" => ("authorizations_id, description, createat, createby, changeat, changeby"),
	"values" => "
('*ALL', 'System Defined Authority Having Access to All Functions and All Data', now(), 'admin', now(), 'admin')
"),

"authorizations" => array (
	"fields" => ("authorizations_id, businessobject, actionauthority, authlevel, createat, createby, changeby"),
	"values" => "
('*ALL','Charge','Approve',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Time','Approve',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Database','Backup',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Account','Browse',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Authorization','Browse',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Charge','Browse',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Company','Browse',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Expense','Browse',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','ExpenseCategory','Browse',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Invoice','Browse',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Literal','Browse',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Message','Browse',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','ProgramTransaction','Browse',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Project','Browse',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','ProjectUser','Browse',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','ProjectUserTask','Browse',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Task','Browse',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Time','Browse',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','User','Browse',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','User','ChangePassword',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Account','Create',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Authorization','Create',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Charge','Create',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Company','Create',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Expense','Create',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','ExpenseCategory','Create',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Invoice','Create',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Literal','Create',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Message','Create',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','ProgramTransaction','Create',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Project','Create',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','ProjectUser','Create',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','ProjectUserTask','Create',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Task','Create',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Time','Create',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','User','Create',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Account','Delete',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Authorization','Delete',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Charge','Delete',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Expense','Delete',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','ExpenseCategory','Delete',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Literal','Delete',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Message','Delete',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','ProgramTransaction','Delete',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Project','Delete',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','ProjectUser','Delete',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','ProjectUserTask','Delete',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Task','Delete',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Time','Delete',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','User','Delete',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Account','Edit',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Authorization','Edit',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Charge','Edit',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Company','Edit',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Expense','Edit',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','ExpenseCategory','Edit',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Literal','Edit',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Message','Edit',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','ProgramTransaction','Edit',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Project','Edit',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','ProjectUser','Edit',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','ProjectUserTask','Edit',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Task','Edit',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Time','Edit',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','User','Edit',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Charge','Hold',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Expense','Hold',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Time','Hold',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Account','List',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Authorization','List',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Charge','List',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Expense','List',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','ExpenseCategory','List',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Invoice','List',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Literal','List',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Menu','List',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Message','List',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','ProgramTransaction','List',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Project','List',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','ProjectUser','List',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','ProjectUserTask','List',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Task','List',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Time','List',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','User','List',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Time','ListSummary',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Account','Print',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Expense','Print',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Invoice','Print',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Project','Print',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Time','Print',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Charge','Release',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Expense','Release',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Time','Release',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Database','Restore',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Charge','Submit',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Expense','Submit',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Time','Submit',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Invoice','Undo',3,now(),'*SYSTEM','*SYSTEM'),
('*ALL','Expense','Verify',3,now(),'*SYSTEM','*SYSTEM')
"),

"company" => array(
"fields" => ("uid, company_id, name, address1, address2, city, state, postalcode, country, 
				logo, weekendday, language, email, createby, changeby, createat, changeat"),
"values" => "(1, '*COMPANY', 'Company Name Not Specified', 'Address Not Specified',
				'Address Not Specified', 'City Not Specified', '??', '?????', '?????', 
				'', '6', 'ENG', '', '*SYSTEM', '*SYSTEM', now(), now())",
),

"users" => array(
"fields" => ("uid, users_id, fullname, password, email, joindate, reportto, title, status, 
				authorizations_id, usergroup, dateformat, language, u_menu_id, debuglevel, dbtracelevel, preview_receipt,
				createat, createby, changeat, changeby"),
"values" => "(1, 'admin', 'Administrator', '21232f297a57a5a743894a0e4a801fc3', 'contact@initechs.com', 
				now(), 'admin',	'Administrator', '10', '1', '', 'MDY', 'ENG', 1, 3, 0, 1, now(), '*SYSTEM', now(), '*SYSTEM')",
),


);

?>